ncurses (6.5+20251123-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Revert change using NCURSES_SBOOL in tic.h which interfered with
      sign-extension in tigetflag (Closes: #1121191).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 24 Nov 2025 20:50:02 +0100

ncurses (6.5+20251122-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Correct expression for TINFO_LIB variable in misc/ncurses-config.in
      (Closes: #1121208).
  * Add a smoke autopkgtest which builds a simple program, catching the
    above problem.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 23 Nov 2025 14:55:47 +0100

ncurses (6.5+20251115-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 20 Nov 2025 20:52:35 +0100

ncurses (6.5+20251115-1) experimental; urgency=low

  * New upstream patchlevel.
    - Add a buffer-limit check in postprocess_termcap (report/testcase
      by Yifan Zhang (CVE-2025-6141, Closes: #1107937)).
    - Formatting improvements for terminfo.5 (Closes: #1096164).
  * Refresh patch 02-debian-backspace.diff.
  * Drop the redundant Rules-Requires-Root field from debian/control.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 17 Nov 2025 18:46:28 +0100

ncurses (6.5+20250216-2) unstable; urgency=medium

  * Update upstream signing key.
  * Upgrade Standards-Version to 4.7.2, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 06 Mar 2025 17:01:55 +0100

ncurses (6.5+20250216-1) unstable; urgency=medium

  * New upstream patchlevel.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 18 Feb 2025 17:01:53 +0100

ncurses (6.5+20250125-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 31 Jan 2025 16:55:43 +0100

ncurses (6.5+20250125-1) experimental; urgency=low

  * New upstream patchlevel.
  * Refresh Debian patches.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 29 Jan 2025 17:00:06 +0100

ncurses (6.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 09 May 2024 10:58:21 +0200

ncurses (6.5-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files and bump shlibs.
    - Update the minimal version for symbols added after the 6.4 release
      to 6.5.
  * Update patch 01-debian-no-ada-doc.diff for the changed location of the
    Ada documentaton.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 05 May 2024 18:31:39 +0200

ncurses (6.4+20240414-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Fix inconsistent description of wmouse_trafo() (Closes: #1059778).
    - Modify wenclose() to handle pads (Closes: #1059783).
    - Improve manpage discussion of mouseinterval() (Closes: #1058560).
  * Add a new "terminfocheck" target to debian/rules to compare the built
    terminfo files against the system database, and use it in binary-indep
    builds in a new pkg.ncurses.terminfocheck build profile.
  * Add a smoke autopkgtest for infocmp, testing that its output for the
    'dumb' terminfo entry matches expectations (see #868266).
  * Add another smoke autopkgtest to ensure that the backspace/delete key
    definitions match expectations (see Policy §9.8).
  * If DEB_BUILD_OPTIONS matches "terse", configure with --disable-echo.
  * Stop patching terminfo.src for the Debian-specific terminfo aliases
    xterm-debian and rxvt-m, create symlinks for them instead.
    - Drop patch 02-debian-xterm.diff.
    - Merge patch 02-debian-rxvt.diff into 02-debian-backspace.diff.
  * Refresh patch 02-debian-backspace.diff.
  * Upgrade Standards-Version to 4.7.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 16 Apr 2024 21:28:36 +0200

ncurses (6.4+20240113-1) unstable; urgency=medium

  * New upstream patchlevel.
  * Refresh Debian patches.
  * Update years in debian/copyright.
  * Install ncurses6-config.1 via "make install" to ensure it contains
    correct cross-references (Closes: #1060211).
  * Add a regression autopkgtest to ensure that there are no '3X'
    references in manpages (see #618429, #1004901, #1057651, #1060211).
  * Build-Depend on pkgconf rather than on pkg-config.
  * Drop kfreebsd-specific code from debian/rules.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 15 Jan 2024 20:34:12 +0100

ncurses (6.4+20231209-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Remove xterm+sm+1006 from tmux (Closes: #1057688).
    - Update man/edit_man.sh to allow for "\%" markers embedded after
      bold font escapes in manpage cross-references (Closes: #1057651).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 11 Dec 2023 17:03:08 +0100

ncurses (6.4+20231121-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Amend fix for #1055882, correcting nul terminator check in
      waddnstr (Closes: #1056340).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 22 Nov 2023 17:10:27 +0100

ncurses (6.4+20231118-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Modify reset command to avoid altering clocal if the terminal uses
      a modem (prompted by discussion with Werner Fink, Michal Suchanek,
      Closes: #60377).
    - Correct loop termination condition in waddnstr() and waddnwstr()
      (Closes: #1055882).
  * Refresh Debian patches.
    - Drop the workaround for #933053 from patch 02-debian-xterm.diff,
      it had been non-functional since version 6.2+20210905-1.
  * Move all libraries below /usr (Closes: #1055940).
  * Install libtermcap.so as a symlink rather than a linker script.
  * Explicitly configure the non-wide builds with --disable-widec.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 Nov 2023 17:30:14 +0100

ncurses (6.4+20231016-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Make the recent change to setupterm optional and disable it
      by default (Closes: #1054022).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 17 Oct 2023 17:34:56 +0200

ncurses (6.4+20231007-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Improve manual description of immedok (Closes: #1053603).
    - Fix a few formatting issues with manpages (Closes: #1053123).
  * Update libtinfo6 symbols file, adding eight new symbols.
  * Refresh Debian patches.
  * Set BUILD_{C,CPP,LD}FLAGS for the native architecture to fix cross
    builds which had been broken on arm64 and amd64 by changes in
    dpkg-buildflags 1.22.0.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 12 Oct 2023 17:07:15 +0200

ncurses (6.4+20230625-2) unstable; urgency=medium

  * Save some build time by not building the static libraries along the
    shared ones, they are configured and built separately.
  * Get rid of debian/rxvt.ti (Closes: #1037071) and record relevant
    Debian changes in a new patch 02-debian-rxvt.diff.
    - Set kbs=^? according to the Debian keyboard policy.
    - Provide rxvt-m as an alias to rxvt-basic.
  * Pass "-Xusr/lib" to dh_missing in the binary-indep target to work
    around spurious failures in full builds (see #1039941).
  * Drop patch debian-alacritty.diff.  Alacritty users should upgrade vim
    to version 2:9.0.1658-1 or higher, or start vim with $TERM set to
    xterm-256color.
  * Take over the foot and foot-direct terminfo entries from the
    foot-terminfo package in ncurses-term (see #1041685).
    - Add a versioned Provides on foot-terminfo to ncurses-term in order
      to help with partial upgrades.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 23 Jul 2023 16:58:09 +0200

ncurses (6.4+20230625-1) unstable; urgency=low

  * New upstream patchlevel.
  * Add Breaks against tmux (<< 3.3a-4) to libtinfo6 (see #1038269).
  * Remove Replaces/Conflicts/Provides relationships with pre-buster
    packages in lib{32,64}ncurses-dev.
  * Set maintainer to ncurses@packages.debian.org, add Craig to Uploaders.
  * Stop stripping libncurses++w.a manually.
  * Move the cons25-debian terminfo entry from ncurses-base to
    ncurses-term, it had only been used in Debian GNU/kFreeBSD 6.0.
  * Tighten the dependency of ncurses-term on ncurses-base, so that they
    are always from the same version.
  * New patch debian-alacritty.diff: remove xterm+focus from the alacritty
    terminfo entry, as it triggers misbehavior in Vim version before
    9.0.1619 (see #1038401).
  * Stop building the libtinfo5, libncurses5 and libncursesw5 packages
    (Closes: #1025964).
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 01 Jul 2023 10:15:14 +0200

ncurses (6.4+20230603-1) experimental; urgency=low

  * New upstream patchlevel.
    - Improve checks for malformed terminfo data (report/analysis by
      Jonathan Bar Or, Michael Pearse, Emanuele Cozzi (CVE-2023-29491,
      Closes: #1034372)).
    - Drop compatibility with obsolete versions of tack, e.g., pre-1.08
      (Closes: #1034549).
  * Drop cherry-picked patches, applied upstream.
  * Configure with "--disable-setuid-environ" instead of
    "--disable-root-environ" and drop patch debian-env-access.diff.
  * Refresh remaining Debian patches.
    - Drop the hunk for screen-base from 02-debian-backspace.diff.
      Upstream sets kbs in screen-base to xterm+kbs now, so this is
      handled via the "--with-xterm-kbs" configure option.
  * Configure with "--disable-root-access" to further restrict programs
    running with elevated privileges.
  * Update symbols files for the new symbols tiparm_s and tiscan_s,
    and the newly exported symbols _nc_safe_fopen and _nc_safe_open3.
  * Remove the ncurses{w,}5-config compatibility symlinks
    (Closes: #1029977).
  * Remove old upstream SHA1 signing key C52048C0C0748FEE from
    debian/upstream/signing-key.asc.
  * Export ARFLAGS = -crv in debian/rules to ensure deterministic static
    libraries (see #1029404).
  * Stop building the empty transitional packages libtinfo-dev
    and libncurses{,w}5-dev (Closes: #1032708, #1032740, #1032741).
  * Move the ncurses-base terminfo files to /usr/share/terminfo
    (Closes: #1028202, #622286).
    - Add a Breaks on cryptsetup-initramfs (<< 2:2.6.1) to ncurses-base
      (see #1028234).
  * Remove various Breaks/Replaces relationships with package versions
    predating buster.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 15 Jun 2023 18:34:20 +0200

ncurses (6.4-4) unstable; urgency=medium

  * Run autoconf-dickey in the toplevel and test/ directories rather
    than autoreconf-dickey, as the latter picks up the backup file of
    configure.in below the .pc/ directory, which is unwanted and does
    not work (Closes: #1035621).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 07 May 2023 16:33:47 +0200

ncurses (6.4-3) unstable; urgency=medium

  * Configure with "--disable-root-environ" to disallow loading of
    custom terminfo entries in setuid/setgid programs, mitigating the
    impact of CVE-2023-29491 (see #1034372).
    - Update the symbols files for the newly exported symbol
      _nc_env_access.
    - New patch fix-configure-root-args-option.diff cherry-picked from
      the 20230415 patchlevel, fixing a copy/paste error which caused
      the "--disable-root-environ" configure option to pick up code
      meant to be used by the "--disable-root-args" option instead.
    - New patch debian-env-access.diff, changing the behavior of the
      "--disable-root-environ" configure option to not restrict programs
      run by the superuser, equivalent to the "--disable-setuid-environ"
      option introduced in the 20230423 patchlevel.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 06 May 2023 17:16:54 +0200

ncurses (6.4-2) unstable; urgency=medium

  * Add Breaks against vim-common (<< 2:9.0.1000-2) to ncurses-base
    and ncurses-term (Closes: #1027435).
  * New patch fix_crash_on_very_long_tc-use_clause.diff, cherry-picked
    from the 20230121 patchlevel: correct limit-check when dumping tc/use
    clause via tic -I (report by Gabriel Ravier, Closes: #1029399).
  * Work around dh_strip bug #875780 by stripping libncurses++w.a manually
    (Closes: #1029404).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 25 Jan 2023 21:21:49 +0100

ncurses (6.4-1) unstable; urgency=medium

  * New upstream release.
    - Correct PS vs PE names in bracketed+paste (report by Bram
      Moolenaar, Addresses: #1027435).
  * Update symbols files and bump shlibs.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 02 Jan 2023 08:49:50 +0100

ncurses (6.3+20221224-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 27 Dec 2022 21:00:02 +0100

ncurses (6.3+20221224-1) experimental; urgency=medium

  * New upstream patchlevel.
    - Revise kon/kon2/jfbterm to undo "linux2.6" change to
      smacs/rmacs/enacs (Closes: #1012800).
    - Improve pointer/limit checks associated with deleting a screen
      (Closes: #1015756).
  * Refresh Debian patches.
  * Convert lintian overrides to the new format in Lintian 2.115.
  * Add a new override for source-is-missing in the Ada documentation
    (see #1019980).
  * Upgrade Standards-Version to 4.6.2, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 26 Dec 2022 20:22:07 +0100

ncurses (6.3+20220423-2) unstable; urgency=medium

  * Update patch 02-debian-xterm.diff: drop "dec+sl" from xterm-new and
    derived terminfo descriptions (Closes: #1010270).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 May 2022 19:01:43 +0200

ncurses (6.3+20220423-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Add a limit-check to guard against corrupt terminfo data
      (report/testcase by NCNIPC of China (CVE-2022-29458),
      Closes: #1009870).
    - Minor clarification to clear.1 (Closes: #999437).
  * Refresh Debian patches.
  * Update symbols files.
  * Ensure that the README file in ncurses-examples has correct
    permissions (Closes: #1003929).
  * Add a lintian override to ncurses-examples for a false positive
    bash-term-in-posix-shell in tput-initc.
  * Update debian/ncurses-term.links to avoid a broken symlink
    /usr/share/terminfo/r/rxvt-color.
  * Remove libmd-dev build dependency on kfreebsd, no longer needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 26 Apr 2022 19:52:23 +0200

ncurses (6.3-2) unstable; urgency=medium

  * Add Breaks on neovim (<< 0.6.0) to ncurses-base (Closes: #999777).
  * Drop patch 02-debian-drop-rin-from-screen-256color.diff
    (Closes: #1003546).  Tmux users should upgrade to version 3.0 or
    higher, or set TERM to something else than screen-256color.
  * Make ncurses-base the primary package into which the Debian FAQ
    and TODO files are installed.
  * Add libmd-dev to Build-Depends on kfreebsd-any to work around FTBFS
    if /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig does not exist.
  * Install the example programs into /usr/libexec/ncurses-examples.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 17 Jan 2022 18:02:04 +0100

ncurses (6.3-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files and bump shlibs.
    - Update the minimal version for symbols added after the 6.2 release
      to 6.3.
  * Drop the lintian override for ncurses-examples introduced in version
    6.1+20181013-2, it no longer triggers.
  * Do not force removal of obsolete packages which terminfo files have
    been taken over by ncurses-term (Closes: #994433).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 15 Nov 2021 17:54:06 +0100

ncurses (6.2+20210905-1) unstable; urgency=low

  * New upstream patchlevel.
    - Extend --disable-pkg-ldflags option to also control whether
      $LDFLAGS from the build is provided in -config and .pc files.
      Use that option in debian/rules (Closes: #986764).
    - Drop symbols GCC_PRINTF and GCC_SCANF from curses.h.in, to
      simplify use (Closes: #993179).
  * Drop patch 02-fix-mlterm.diff, applied upstream.
  * Refresh remaining Debian patches.
  * Update symbols files for new symbols erasewchar_sp, killwchar_sp
    and _nc_reset_tparm.
  * Bump autoconf-dickey build dependency to (>= 2.52+20210509), as per
    test/configure.in.
  * Ship stterm and stterm-256color terminfo entries in ncurses-term.
  * Take over terminfo entries from the deceased Debian packages
    jfbterm, kon2, libiterm1 and tn5250 in ncurses-term.
  * Update list of terminfo entries shipped by other Debian packages.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 09 Sep 2021 19:56:22 +0200

ncurses (6.2+20201114-4) unstable; urgency=medium

  * Source-only upload for migration to testing, no changes.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 26 Aug 2021 18:39:10 +0200

ncurses (6.2+20201114-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + ncurses-term: Drop versioned constraint on suckless-tools in Replaces.
    + ncurses-term: Drop versioned constraint on suckless-tools in Breaks.
    + libtinfo5: Drop versioned constraint on dialog in Breaks.

  [ Jordi Mallach ]
  * Introduce a libncursesw6-udeb package, needed by newer nano versions
    (Closes: #976275).

  [ Sven Joachim ]
  * Add new upstream signing key 19882D92DDA4C400C22C0D56CC2AF4472167BE03
    to debian/upstream/signing-key.asc.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 22 Aug 2021 08:29:53 +0200

ncurses (6.2+20201114-2) unstable; urgency=medium

  * New patch 02-fix-mlterm.diff, cherry-picked from the 20201205 upstream
    patchlevel.
    - Correct mlterm3 kf1-kf4 (Closes: #975322).
    - Add flash to mlterm3.
  * Refresh Debian patches.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 01 Jan 2021 16:02:10 +0100

ncurses (6.2+20201114-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Add tmux-direct terminfo entry (Closes: #895754).
  * Add Breaks on cowdancer (<< 0.89~) to libncurses6 (Closes: #971672).
  * Upgrade Standards-Version to 4.5.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 19 Nov 2020 18:08:43 +0100

ncurses (6.2+20200918-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Corrected condition for appending curses.events to the generated
      curses.h (report by Sven Joachim, Closes: #970577).
   * Version the Provides of the transitional -dev packages
     by libncurses-dev.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 20 Sep 2020 11:16:40 +0200

ncurses (6.2+20200912-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Move dlclose() call from lib_mouse.c to delscreen() to avoid a
      case in the former which could be called from SIGTSTP handler
      (Closes: #961097).
  * Update symbols files for new symbol _nc_tiparm.
  * Bump autoconf-dickey build dependency to (>= 2.52+20200111), as per
    configure.in.
  * Bump debhelper compatibility level to 13.
    - Use the substitution feature in that compat level to get rid of the
      debian/*.{install,links}.in files.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 5.0-5.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 17 Sep 2020 19:18:53 +0200

ncurses (6.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries 5.7+20090314-1, 5.6+20080419-
    2.

  [ Sven Joachim ]
  * New upstream release.
  * Refresh Debian patches.
  * Update symbols files and bump shlibs.
    - Update the minimal version for symbols added after the 6.1 release
      to 6.2.
    - Silence the package-placeholder-in-symbols-file lintian warning
      in the ABI5 library packages.
  * Get rid of debian/xterm.ti, and record the changes Debian makes to the
    xterm* terminfo entries in a new patch 02-debian-xterm.diff.
  * Switch debian/copyright to format 1.0, and update the years.
  * Upgrade Standards-Version to 4.5.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 29 Feb 2020 10:05:22 +0100

ncurses (6.1+20191019-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Fix several errata in tic (Closes: #942401).
      + Check for invalid hashcode in _nc_find_type_entry
        and nc_find_name_entry (CVE-2019-17594).
      + Check for invalid hashcode in _nc_find_entry.
      + Check for missing character after backslash in fmt_entry
        (CVE-2019-17595).
  * Refresh patch 03-debian-ncursesconfig-omit-L.diff.
  * Support additional build profiles:
    - Skip building ABI 5 libraries in a pkg.ncurses.nolegacy build profile.
    - Skip building the examples in a pkg.ncurses.noexamples build profile.
    - Do not build libtinfo6-udeb in the noudeb build profile.
  * Add a "Replaces: alacritty (<< 0.3.4~)" to ncurses-term
    (Closes: #933386).
  * Add a Salsa CI pipeline in debian/gitlab-ci.yml.
  * Export BUILD_{C,CPP,LD}FLAGS in debian/rules, making blhc happy.
  * Upgrade Standards-Version to 4.4.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 24 Oct 2019 18:18:57 +0200

ncurses (6.1+20190803-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Amend the change to screen, because tmux relies upon that entry
      and does not support that feature (Closes: #933572).
  * New patch 02-debian-drop-rin-from-screen-256color.diff: remove "rin"
    also from screen-256color, used by some tmux users as their $TERM.
  * Drop patch fix-tabs-manpage-installation.diff, applied upstream.
  * Refresh patch 02-debian-backspace.diff after upstream changes to
    the screen terminfo description.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 08 Aug 2019 17:39:10 +0200

ncurses (6.1+20190713-2) unstable; urgency=medium

  * Drop "rep" from xterm-new and derived terminfo descriptions
    (Closes: #933053).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 01 Aug 2019 18:12:18 +0200

ncurses (6.1+20190713-1) unstable; urgency=low

  * New upstream patchlevel.
  * Refresh patch 02-debian-backspace.diff after upstream changes to
    the screen terminfo description.
  * New patch fix-tabs-manpage-installation.diff, reverts a broken
    upstream change which inadvertently installed the tabs.1 manpage
    as a dangling symlink.
  * Update symbols files for new symbol _nc_find_user_entry.
  * Move the tmux and tmux-256color terminfo entries to ncurses-base
    (Closes: #927973).
  * Bump debhelper compatibility level to 12.
    - Build-depend on debhelper-compat (= 12) and drop debian/compat.
  * Drop the -dbg packages (Closes: #849003).
  * Reduce the size of the -dbgsym packages with dh_dwz.
  * Update years in debian/copyright.
  * Upgrade Standards-Version to 4.4.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 19 Jul 2019 17:14:25 +0200

ncurses (6.1+20181013-2) unstable; urgency=medium

  * Add Breaks against libmono-corlib4.5-cil (<< 4.6.2.7+dfsg-2)
    to ncurses-base and ncurses-term (Closes: #899394).
  * Add Build-Depends-Package annotations to the symbols files.
  * Add a lintian override to ncurses-examples for
    package-contains-documentation-outside-usr-share-doc.
  * Upgrade Standards-Version to 4.3.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 11 Feb 2019 18:17:20 +0100

ncurses (6.1+20181013-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Modify configure scripts to reduce relinking/ranlib during library
      install.  Together with the next change, this Closes: #903790.
  * Configure with --disable-relink.
  * Fix wrong-path-for-interpreter lintian error in ncurses-examples.
  * Add Breaks against libunibilium4 (<< 2.0.0-3) to ncurses-base and
    ncurses-term (Closes: #904337).
  * Upgrade Standards-Version to 4.2.1, no further changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 18 Oct 2018 19:45:43 +0200

ncurses (6.1+20180714-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Fix a case where tiparm could return null if the format-string was
      empty (Closes: #902630).
    - Reduce use of _GNU_SOURCE for current glibc where _DEFAULT_SOURCE
      combines with _XOPEN_SOURCE (Closes: #900987).
    - Modify generated ncurses*config and ncurses.pc, ncursesw.pc, etc.,
      to list helper libraries such as gpm for static linking (see #900839).
  * Refresh Debian patches.
  * Stop building special debug libraries, and mark the -dbg packages as
    Multi-Arch: same (Addresses: #849003).
  * Build the static libraries without gpm support (Closes: #900839).
  * Upgrade Standards-Version to 4.1.5, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 17 Jul 2018 18:17:02 +0200

ncurses (6.1+20180210-4) unstable; urgency=medium

  * Take over the dvtm and dvtm-256color terminfo entries from the dvtm
    package in ncurses-term (see #897953).
  * Cherry-pick a fix from the 20180519 patchlevel: add check in
    pair_content() to handle the case where caller asks for an
    uninitialized pair (Closes: #898658).
  * Move screen.xterm-256color and rxvt-unicode-256color terminfo entries
    from ncurses-term to ncurses-base (Closes: #898666, #898948).
  * Speed up binary-indep builds by building only the configurations
    necessary to install and run tic.
    - Move the g++-multilib build dependency to Build-Depends-Arch.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 21 May 2018 10:54:08 +0200

ncurses (6.1+20180210-3) unstable; urgency=medium

  * Add back "Suggests: ncurses-doc" to libncurses-dev which inadvertently
    got lost in 6.1+20180210-1 (Closes: #897035).
  * Cherry-pick a fix from the 20180414 patchlevel: add a null-pointer
    check in _nc_parse_entry to handle an error when a use-name is invalid
    syntax (report by Chung-Yi Lin, CVE-2018-10754).
  * Add Breaks against versions of bash-static and zsh-static which were
    built with libtinfo before 6.1 to ncurses-{base,term}.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 10 May 2018 16:17:05 +0200

ncurses (6.1+20180210-2) unstable; urgency=medium

  * Run dh_autoreconf at build time to regenerate configure scripts.
    - Add a build-dependency on autoconf-dickey (>= 2.52+20170501).
    - Drop debian/README.source.
  * Drop Replaces/Breaks relationships on pre-wheezy packages.
  * Add more Breaks to ncurses-base and ncurses-term against libraries
    incompatible with the new terminfo format: libtinfo5 (<< 6.1) and
    libunibilium0 (Closes: #891380).
  * Update the watch files to version 4, and look for tarballs on
    https://invisible-mirror.net.
  * Bump debhelper compatibility level to 11.
  * Use "dh_missing --fail-missing" instead of "dh_install --fail-missing".
  * Temporarily add ncurses{w,}5-config compatibility symlinks.
  * Upgrade Standards-Version to 4.1.4, no changes needed.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 26 Apr 2018 18:07:30 +0200

ncurses (6.1+20180210-1) experimental; urgency=low

  * New upstream patchlevel.
  * Switch to the ncurses 6 ABI (Closes: #230990), but continue to ship
    ABI 5 shared library packages for now.
  * Change the section of the ABI 5 library packages to oldlibs and update
    their descriptions accordingly.
  * Merge lib{tinfo,ncurses5,ncursesw5}-dev into a new libncurses-dev
    package and turn them into transitional packages (Closes: #840429).
    Add a lintian override for the resulting duplicate-short-description
    notices.
  * Install the tinfo/tic libraries and the programs from the wide build,
    enabling the extended terminfo format introduced in ncurses 6.1.
    - Add Breaks against libslang2 (<< 2.3.1a-3) to ncurses-{base,term},
      since it chokes on the new terminfo format (see #890769).
  * Build a lib64ncursesw6 package on i386 and powerpc.
  * Merge the multilib -dev packages into single lib{32,64}ncurses-dev
    packages which have Conflicts/Replaces/Provides on the old ones.
  * Install only one set of headers of headers, built from the wide
    configuration.  Provide compatibility symlinks in usr/include/ncursesw.
    - Configure with --disable-wattr-macros to avoid potential crashes, see
      https://bugzilla.redhat.com/show_bug.cgi?id=1270534 for details.
  * Update debian/TODO.
  * Upgrade Standards-Version to 4.1.3, no further changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 22 Feb 2018 20:23:16 +0100

ncurses (6.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh Debian patches.
  * Update symbols files and bump shlibs.
    - Bump the minimal version of symbols introduced after the 6.0
      release to 6.1.
    - Reset the minimal version of _nc_read_entry to back to 6.
  * Pass --disable-stripping to the configure scripts.
  * Update xterm.ti from xterm 331.
  * Use https in the Homepage field.
  * Update Vcs-{Browser,Git} URLs to point at salsa.debian.org.
  * Change priority of all library packages to optional.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 11 Feb 2018 21:06:50 +0100

ncurses (6.0+20171125-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Modify _nc_write_entry() to truncate too-long filename (report by
      Hosein Askari (CVE-2017-16879), Closes: #882620).
  * Change priority of the -dbg packages and the udeb to optional.
  * Delete trailing whitespace in debian/changelog.
  * Bump debhelper compatibility level to 10.
  * Switch from dh_autotools-dev_updateconfig to dh_update_autotools_config
    and drop the explicit autotools-dev build dependency.
  * Drop dpkg-dev build dependency, already fulfilled in oldstable.
  * Do not require (fake)root for building the packages.
  * Configure the test programs with --with-x11-rgb=/etc/X11/rgb.txt.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 27 Nov 2017 17:56:51 +0100

ncurses (6.0+20170902-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Modify check in fmt_entry() to handle a cancelled reset string
      (CVE-2017-13733, Closes: #873746).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 03 Sep 2017 19:25:01 +0200

ncurses (6.0+20170827-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Add/improve checks in tic's parser to address invalid input
      (Closes: #873723).
      + Add a check in comp_scan.c to handle the special case where a
        nontext file ending with a NUL rather than newline is given to
        tic as input (CVE-2017-13728).
      + Allow for cancelled capabilities in _nc_save_str (CVE-2017-13729).
      + Add validity checks for "use=" target in _nc_parse_entry
        (CVE-2017-13730).
      + Check for invalid strings in postprocess_termcap (CVE-2017-13731).
      + Reset secondary pointers on EOF in next_char() (CVE-2017-13732).
      + Guard _nc_safe_strcpy() and _nc_safe_strcat() against calls using
        cancelled strings (CVE-2017-13734).
    - Add usage message to clear command (Closes: #371855).
  * Configure the test programs with --datadir=/usr/share/ncurses-examples.
  * Look for tarballs on ftp.invisible-island.net in the watch files.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 31 Aug 2017 21:01:20 +0200

ncurses (6.0+20170715-2) unstable; urgency=medium

  * Bump the minimal version of _nc_read_entry to 6.0+20170715 for partial
    upgrades from testing.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 16 Jul 2017 18:23:24 +0200

ncurses (6.0+20170715-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Bring back the _nc_read_entry symbol in libtinfo5 (Closes: #868328),
      drop the _nc_read_entry2 symbol which should not have been added.
    - Repair termcap-format from tic/infocmp broken in 20170701 fixes
      (Closes: #868266).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 16 Jul 2017 18:07:56 +0200

ncurses (6.0+20170708-1) unstable; urgency=high

  * New upstream patchlevel.
    - Correct a limit-check in fixes from CVE-2017-10684
      (report by Sven Joachim).
  * Amend the previous Debian changelog entry with CVE references.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 09 Jul 2017 11:50:10 +0200

ncurses (6.0+20170701-1) unstable; urgency=low

  * New upstream patchlevel.
    - Add/improve checks in tic's parser to address invalid input
      (Redhat #1464684, #1464685, #1464686, #1464691).
      + alloc_entry.c, add a check for a null-pointer (CVE-2017-11113).
      + parse_entry.c, add several checks for valid pointers (CVE-2017-11112),
        as well as one check to ensure that a single character on a line is
        not treated as the 2-character termcap short-name.
    - Fix a problem with buffer overflow in dump_entry.c, which is
      addressed by reducing the use of a fixed-size buffer
      (CVE-2017-16084, CVE-2017-10685).
  * Refresh Debian patches.
  * Update symbols files.
    - Add new symbol _nc_read_entry2.
    - Drop two unused symbols obsoleted in 2004: _nc_check_termtype and
      _nc_resolve_uses.
  * Blacklist dvtm and dvtm-256color terminfo entries which are shipped
    in the dvtm package (Closes: #863969).
  * Mark ncurses-doc as Multi-Arch: foreign.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 07 Jul 2017 22:00:14 +0200

ncurses (6.0+20170408-1) experimental; urgency=low

  * New upstream patchlevel.
    - Fix a memory leak in the window-list when creating multiple
      screens (reports by Andres Martinelli, Closes: #783486).
  * Provide a curses(3) symlink to ncurses (Closes: #859293).
  * Set LD_LIBRARY_PATH when building the test programs, fixes an
    impending FTBFS when we switch to libncursesw6 from libncursesw5.
  * Update years in debian/copyright.
  * Change priority of libncurses5 to optional (see #852002).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 14 Apr 2017 12:21:10 +0200

ncurses (6.0+20161126-1) unstable; urgency=low

  * New upstream patchlevel.
    - Omit selection of ISO-8859-1 for G0 in enacs capability from
      linux2.6 entry, to avoid conflict with the user-defined mapping
      (Closes: #830694).
  * Update symbols files for new symbol unfocus_current_field.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 29 Nov 2016 21:19:08 +0100

ncurses (6.0+20160917-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Fix typo in 20160910 changes (Closes: #837892, patch by Sven Joachim).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 21 Sep 2016 18:37:15 +0200

ncurses (6.0+20160910-1) unstable; urgency=low

  * New upstream patchlevel.
    - Trim trailing blanks from include/Caps*, to work around a problem
      in sed (Closes: #818067).
  * Invoke configure via relative paths to prevent the build path from
    showing up in binaries.
  * Enable parallel builds.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 14 Sep 2016 20:09:34 +0200

ncurses (6.0+20160625-1) unstable; urgency=low

  * New upstream patchlevel.
    - Make linux3.0 entry the default linux entry (Closes: #823658, #515609).
    - Improve manual pages for wgetch and wget_wch to point out that they
      might return values without names in curses.h (Closes: #822426).
    - Amend change to _nc_do_color to restore the early return for the
      special case used in _nc_screen_wrap (report by Dick Streefland,
      Closes: #816887).
  * Update xterm.ti from xterm 325.
  * Enable the bindnow hardening flag.
  * Really install the Debian FAQ into the libtinfo5 package.
  * Update links in the Debian FAQ.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 06 Jul 2016 18:00:26 +0200

ncurses (6.0+20160319-2) unstable; urgency=low

  * Team upload

  [ Roger Shimizu ]
  * Add udeb support to libtinfo5 (Closes: #819397).

  [ Sven Joachim ]
  * Do not include the tic library in the libtinfo5-udeb package.

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Uploading the package for Sven. Upload sponsoring is needed since
    there is a new binary (udeb) package included.

 -- Axel Beckert <abe@debian.org>  Sun, 19 Jun 2016 23:26:15 +0200

ncurses (6.0+20160319-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Amend workaround for Solaris line-drawing to restore a special case
      that maps Unicode line-drawing characters into the acsc string for
      non-Unicode locales (Closes: #816888).
  * Upgrade Standards-Version to 3.9.7, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 25 Mar 2016 09:48:16 +0100

ncurses (6.0+20160213-1) unstable; urgency=low

  * New upstream patchlevel.
  * Only include debug symbols for the libraries in the -dbg packages,
    use automatic -dbgsym packages for ncurses-{bin,examples} and the
    multilib packages.
  * Bump debhelper compatibility level to 9.
  * Update years in debian/copyright.
  * Use https in Vcs-Git URL.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 18 Feb 2016 18:29:28 +0100

ncurses (6.0+20151024-2) unstable; urgency=medium

  * Drop the static debug libraries (Closes: #803482).
  * Remove the dependency of the -dbg packages on their -dev counterparts,
    let them depend on the libraries instead.
  * Add a dependency on ncurses-bin (>= 6.0+20151017) to libtinfo-dev,
    making piuparts happy (Closes: #803563).
  * Add an empty /usr/share/terminfo to ncurses-base to work around
    FTBFS in jed and slrn (see #804083, #804084).
  * Update Vcs-Browser field to use cgit and https.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Nov 2015 20:53:12 +0100

ncurses (6.0+20151024-1) unstable; urgency=low

  * New upstream patchlevel.
    - Improve configure check for setting WILDCARD_SYMS variable; on ppc64
      the variable is in the Data section rather than Text (patch by Michel
      Normand, Closes: #802810).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 25 Oct 2015 15:25:20 +0100

ncurses (6.0+20151017-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Improve check for working poll() by using posix_openpt() as a
      fallback in case there is no valid terminal on the standard input
      (Closes: #676461).
    - Modify ncurses/Makefile.in to sort keys.list in POSIX locale
      (Closes: #801864).
  * Update symbols files for new symbol _nc_write_object.
  * Bump build dependencies on debhelper (>= 9.20141010) and
    dpkg-dev (>= 1.17.14) for build profiles support.
  * Update rxvt-unicode terminfo description from upstream CVS Rev 1.35
    (Closes: #801709).
  * Move the ncurses{w,}5-config scripts to their respective -dev
    packages again (Closes: #745479).

  [ Johannes Schauer ]
  * Support the nobiarch build profile for avoiding multilib. (Closes: #737946)

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 23 Oct 2015 17:01:49 +0200

ncurses (6.0+20150810-1) unstable; urgency=medium

  * New upstream release.
    - Fix comparison against "/usr/include" in misc/gen-pkgconfig.in
      (Closes: #790548).
  * Configure with "--with-abi-version=5", upstream defaults to abi 6 now.
  * Configure with "--with-versioned-syms" (Closes: #788610).
    - Bump minimal versions of all symbols as well as shlibs to 6.
  * After building the wide library, install it into a temporary
    scratchdir so that test/configure can find the necessary auxiliary
    files (see #786436).
  * Drop the libncursesw5-dev build-dependency.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 17 Aug 2015 18:01:53 +0200

ncurses (5.9+20150516-2) unstable; urgency=low

  * Move the ncurses{w,}5-config scripts back to ncurses-bin
    (Closes: #786436, reopens: #745479).
    - Readd the dependency of the -dev packages on ncurses-bin.
    - Temporarily add a build-dependency on libncursesw5-dev to
      avoid the FTBFS problem in #786436.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 21 May 2015 23:20:46 +0200

ncurses (5.9+20150516-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Fix FTBFS with GCC 5 (Closes: #777461).
    - Add xon, ich1, il1 to ibm3161 (patch by Stephen Powell,
      Closes: #783806).
  * Refresh patch 02-debian-backspace.diff after upstream changes to
    the screen terminfo description.
  * Move the ncurses{w,}5-config scripts to their respective -dev
    packages (Closes: #745479).
    - Enhance patch 03-debian-ncursesconfig-omit-L.diff to suppress
      output in the --libdir option, so that the scripts are identical
      across architectures.
    - Drop the dependency of the -dev packages on ncurses-bin.
  * Remove support for upgrades from versions prior to 5.9-10.
    - Drop the maintainer scripts.
    - Drop Pre-Dependency of libncurses5 on libtinfo5.
  * Drop Conflicts of ncurses-base with ncurses and ncurses-runtime.
  * Configure with "--with-manpage-format=normal" to avoid having to
    set GZIP in debian/rules.
  * Use the armored signature for the watch files.
  * Update years in debian/copyright.
  * Upgrade Standards-Version to 3.9.6, no changes needed.

  [ Helmut Grohne ]
  * Use correct compiler for multilib cross builds. (Closes: #774404)

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 20 May 2015 18:01:10 +0200

ncurses (5.9+20140913-1) unstable; urgency=low

  * New upstream patchlevel.
  * Compress the manpages in ncurses-doc with "gzip -9n".
  * Remove the ada documentation from ncurses-doc, since it is also
    shipped in the libncursesada-doc package.  Thanks to Nicolas
    Boulenguez for the patch (Closes: #757991).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 17 Sep 2014 19:00:57 +0200

ncurses (5.9+20140712-2) unstable; urgency=low

  * Explicitly disable sysmouse support on kfreebsd (Closes: #755250).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 19 Jul 2014 10:20:21 +0200

ncurses (5.9+20140712-1) unstable; urgency=low

  * New upstream patchlevel.
    - Update libncurses5 and libncursesw5 symbols files, bump shlibs.
  * Build-depend on autotools-dev to update config.{guess,sub}.
  * Ship st and st-256color terminfo entries in ncurses-term, now that
    suckless-tools no longer includes them.
  * Update xterm.ti from xterm 308.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 19 Jul 2014 07:01:11 +0200

ncurses (5.9+20140118-1) unstable; urgency=low

  * New upstream patchlevel.
    - Apply includesubdir variable which was introduced in 20130805 to
      gen-pkgconfig.in (Closes: #735782).
  * Update years in debian/copyright.
  * Refresh Debian patches.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 Jan 2014 18:31:56 +0100

ncurses (5.9+20131221-1) unstable; urgency=low

  * New upstream patchlevel.
    - Update libtinfo5 and libncursesw5 symbols files, bump shlibs.
  * Sync hurd terminfo description from the Savannah git repository.
    - Add xenl (Closes: #727119).
  * Depend on libc6-dev | libc-dev rather than just libc-dev in
    libncurses{w,}5-dev.
  * Check GPG signature of upstream tarballs in the watch files.
  * Upgrade Standards-Version to 3.9.5, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 10 Jan 2014 18:10:11 +0100

ncurses (5.9+20130608-1) unstable; urgency=low

  * New upstream patchlevel.
    - Add pow() to configure-check for math library, needed for
      test/hanoi (Closes: #708056).
    - Fix regression in error-reporting in lib_setup.c (Closes: #711134).
  * Add Breaks against dialog (<< 1.2-20130523) to libtinfo5, since
    older dialog versions misbehave (Closes: #709325).
  * Move detached debugging symbols for libtinfo5 to libtinfo5-dbg.
  * Switch Vcs-* fields to anonscm.debian.org.
  * Upgrade Standards-Version to 3.9.4, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 10 Jun 2013 20:18:59 +0200

ncurses (5.9+20130504-1) unstable; urgency=low

  * New upstream patchlevel.
    - modify MKkey_defs.sh to filter out build-path which was
      unnecessarily shown in curses.h.
  * The headers should now be identical across architectures where
    libc-dev is coinstallable, so mark libncurses{w,}5-dev as
    "Multi-Arch: same" again (Closes: #689131).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 11 May 2013 13:00:56 +0200

ncurses (5.9+20130119-1) experimental; urgency=low

  * New upstream patchlevel.
    - Modify init_pair() to accept -1's for color value after
      assume_default_colors() has been called (Closes: #337095).
    - Modify name-comparison for tgetstr, etc., to accommodate legacy
      applications as well as to improve compatibility with BSD 4.2
      termcap implementations (Closes: #698299).
    - Add advice in infocmp manpage for termcap users (Closes: #698469).
    - Update symbols files for new symbols, bump shlibs.
    - Remove internal symbol _nc_memmove from libncurses{w,5} symbols files.
  * Drop patches applied upstream: 00-terminfo-update.diff,
    04-fix-tabset-directory.diff and 05-fix-poll-test.diff.
  * Adapt patch 03-debian-ncursesconfig-omit-L.diff to upstream changes.
  * Improve cross-building support:
    - Don't fail if the system version of tic has a different (upstream)
      version than the one that is being built (Closes: #681798).
    - Assume working poll() (see #676461).
  * Drop /usr/share/terminfo from ncurses-bin (Closes: #678441).
  * Fix typo in package descriptions (architecure → architecture)
    (Closes: #697533).
  * Drop Conflicts on old libc6-i386 versions in the lib32* packages.
  * Don't unnecessarily depend on g++-multilib on kfreebsd-amd64.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 23 Jan 2013 18:50:58 +0100

ncurses (5.9-10) unstable; urgency=low

  * Drop the dependency of the biarch packages on libtinfo5
    (Closes: #678440).
    - Convert /usr/share/doc/lib{32,64}tinfo5 back to directories.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 27 Jun 2012 17:20:15 +0200

ncurses (5.9-9) unstable; urgency=low

  * New patch 05-fix-poll-test.diff adapted from the 20120608 upstream
    patchlevel, correcting the CF_FUNC_POLL test which inadvertently
    failed if standard input was redirected, as is the case on the Debian
    buildds (Closes: #676461).
  * Assume working poll() for the biarch packages where we cannot run the
    configure check.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 14 Jun 2012 17:02:56 +0200

ncurses (5.9-8) unstable; urgency=low

  * Update terminfo descriptions to the 20120602 upstream patchlevel.
    - Correct 'op' for bterm (Closes: #671227).
  * Change section of ncurses-{base,term} to misc (see #671616).
  * Move the Breaks against old binutils-gold versions to libtinfo-dev.
  * Conflict with libc6-i386 (<= 2.9-18) in lib32tinfo{5,-dev}.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 03 Jun 2012 10:17:35 +0200

ncurses (5.9-7) unstable; urgency=low

  * Take over bterm terminfo entry from bogl-bterm in ncurses-term
    (Closes: #562134).
  * Make libtinfo5 rather than libncurses5 the main package where the
    Debian FAQ and TODO files are installed.
  * Let all library, -dev and -dbg packages directly depend on libtinfo5
    and replace their /usr/share/doc directories with symlinks to save
    some space.
  * Mark ncurses-base and ncurses-term as Multi-Arch: foreign.
  * Explicitly blacklist fbterm and stterm terminfo entries to prevent
    accidents like #665877.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 01 May 2012 10:07:23 +0200

ncurses (5.9-6) unstable; urgency=low

  [ Craig Small ]
  * Permit DMs to upload

  [ Sven Joachim ]
  * Blacklist st and st-256color terminfo entries until suckless-tools
    stops shipping them (Closes: #665877).
  * Update terminfo descriptions to the 20120407 upstream patchlevel.
    - Revert to linux2.2 rather than linux3.0 as the base for the linux
      terminfo entry, since the latter breaks display of line drawing
      characters in non-UTF-8 locales (closes: #665959).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 09 Apr 2012 10:35:00 +0200

ncurses (5.9-5) unstable; urgency=low

  * Configure with /etc/terminfo as default terminfo dir
    (Closes: #653435, #654672).
    - New patch 04-fix-tabset-directory.diff to prevent incorrect tabset
      directory in compiled terminfo descriptions (see #509919).
  * Mention in debian/README.source that a non-standard autoconf version is
    required to regenerate 'configure' (Closes: #580190).
  * New patch 00-terminfo-update.diff, updating terminfo descriptions to
    the 20120211 upstream patchlevel.
    - Includes entries for gnu-mach and gnu-mach-color, installed into
      the ncurses-base package (Closes: #614316).
  * Update xterm.ti from xterm 276.  All xterm-* terminfo entries should
    have kbs=\177 now.  Update patch 02-debian-backspace.diff accordingly.
  * Drop patch 05-emdebian-wchar.diff, no longer needed.
  * Protect shell loops in debian/rules with "set -e" to ensure that
    any errors in them are caught (see Policy §4.6).
  * Upgrade Standards-Version to 3.9.3, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 28 Feb 2012 20:36:51 +0100

ncurses (5.9-4) unstable; urgency=low

  * Create debian/libtermcap.so at build time rather than trying to ship
    it, since dpkg-source does not like to do the latter (Closes: #647253).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 01 Nov 2011 20:27:49 +0100

ncurses (5.9-3) unstable; urgency=low

  * Move the libtermcap symlinks to lib{32,}tinfo-dev (Closes: #644426).
    - Symlink libtinfo.a to libtermcap.a.
    - Use a linker script for libtermcap.so to work around ldconfig
      bug #249122.
  * Move the libtic libraries from lib*ncurses5 to lib*tinfo5
    (Closes: #644933) and their development files from lib*ncurses5-dev
    to lib*tinfo-dev.
  * Drop libticw from libncursesw5 and configure with "--with-ticlib=tic"
    to share the same tic library between libncurses5 and libncursesw5.
  * Don't mark libncurses5-dev and libncursesw5-dev as "Multi-Arch: same"
    for now (Closes: #646761).
  * Link the example programs against ncursesw rather than ncurses.
  * Add Breaks against binutils-gold (<< 2.21.53.20110910) to
    libncurses5-dev and libncursesw5-dev (see #644708).
  * Mention in /etc/terminfo/README that ${HOME}/.terminfo is the first
    directory where ncurses looks for terminfo files (LP: #384285).
  * Obtain CPPFLAGS from dpkg-buildflags.
  * Drop the lintian overrides introduced in 5.9-2.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 31 Oct 2011 17:18:46 +0100

ncurses (5.9-2) unstable; urgency=low

  * Build libncurses and libncursesw with "--with-termlib" and split out
    libtinfo* packages to allow building a libreadline that does not link
    against libncurses.  Thanks to Matthias Klose for the initial patch.
    (Closes: #631592)
    - Add Pre-dependency on libtinfo5 to libncurses5 to prevent possible
      symbol lookup errors if libncurses5 is unpacked before libtinfo5.
    - Replace the libncurses{w,}.so symlinks with linker scripts.  Since
      lintian does not like those in multiarch paths, temporarily add
      overrides (see #639735).
    - Remove spurious leftover libncurses5.so.5 symlinks (Closes: #224450,
      LP: #836246).
  * Ship the ncurses.supp file in libtinfo-dev (Closes: #627474).
  * Configure all library builds except libncurses5 with "--without-progs"
    to reduce build time a bit.
  * Add build-arch and build-indep targets to debian/rules.
  * Use dh_install's "--fail-missing" option.
  * Build for multiarch (Closes: #638281).
    - Mark libncurses5, libncursesw5, libtinfo5 and their -dev counterparts
      as Multi-Arch: same.
    - Mark ncurses-bin as Multi-Arch: foreign.
  * New patch 03-debian-ncursesconfig-omit-L.diff to omit the "-L" part
    from "ncurses5-config --libs" (see #638281).
  * Add rxvt-256color and rxvt-88color entries to debian/rxvt.ti
    (Closes: #638189).
  * Bump debhelper compatibility level to 8.
  * Upgrade Standards-Version to 3.9.2, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 13 Sep 2011 20:01:05 +0200

ncurses (5.9-1) unstable; urgency=low

  * New upstream release.
  * Correct dh_strip usage in debian/rules (Closes: #619939).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 05 Apr 2011 20:37:53 +0200

ncurses (5.8+20110307-1) unstable; urgency=low

  * New upstream patchlevel.
    - Fixes bad bound checks in newwin() (Closes: #616711, #617210).
  * Update years in debian/copyright.
  * Add a debian/watch.patchlevel file for checking/downloading weekly
    snapshots with uscan.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 08 Mar 2011 20:32:23 +0100

ncurses (5.8-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 01-debian-kfreebsd-terminfo.patch, applied upstream.
  * Ship .pc files for pkg-config in libncurses5-dev and libncursesw5-dev,
    adding a build-dependency on pkg-config (Closes: #609614).
  * Update rxvt-unicode terminfo description from upstream CVS Rev 1.29.
    - Introduce an rxvt-unicode-256color terminfo entry in ncurses-term
      (Closes: #613171).
    - Fix typo in kIC terminfo capability (Closes: #446444).
  * Adjust the Replaces/Breaks combination on mlterm-common, now that
    mlterm 3.0.2-1 has dropped the mlterm terminfo entry.
  * Fix the libncursesw5-dbg preinst which had been removing the wrong
    symlink since it was introduced.
  * Drop the other preinst scripts, they were only necessary for upgrades
    from pre-Lenny versions.
  * Use linux-any wildcard for libgpm-dev Build-Depends and
    libgpm2 Recommends instead of using a list of negated architectures.
  * Do not run uupdate from debian/watch.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 28 Feb 2011 19:05:25 +0100

ncurses (5.7+20101128-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Clarify that infotocap, captoinfo and tic read text files and do
      not work with compiled terminfo files (Closes: #593920).
  * Remove dangling /usr/share/terminfo/k/kon2 symlink (Closes: #522435).
  * Add an ncurses-examples package containing the compiled test programs
    (Closes: #34182).  Stop shipping the sources in libncurses5-dev.
  * Move documentation and section 3 manpages to a new ncurses-doc package
    (Closes: #233400).  Suggest ncurses-doc in all -dev packages.
  * Register the documentation in doc-base (Closes: #451667).
  * Remove the rather useless README.Debian (Closes: #606034).
  * Move libtic libraries to /usr.
  * Tighten the dependencies of the lib{32,64}ncurses*-dev packages to their
    regular counterparts.
  * Provide symbols files in all library packages.
    - Use them to compute the dependencies of the other packages instead of
      messing around with local shlibs files.
  * Ship mlterm terminfo in ncurses-term (see #485448).
  * Ship curses and termcap symlinks in lib{32,64}ncurses5-dev (LP: #485118).
  * Add lintian override for the empty /usr/share/terminfo directory that
    was introduced in 5.7+20100313-2.
  * Stop building the test programs in every library build.
  * Fix non-idempotency of the install (and thus the binary) target in
    debian/rules introduced in 5.7+20100313-1.
  * Do not unnecessarily add /lib32 and /usr/lib32 to dh_shlibdeps' search
    path when calculating the dependencies of the 32-bit libraries.
  * Do not allow dh_shlibdeps to fail for the 64-bit libraries.
  * Drop most patches as obsolete or unused:
    - 09-fix-delscreen-segfault.diff, applied upstream.
    - 06-kfreebsd.diff, apparently no longer needed.
    - 03-linux-use-fsuid.diff, patched code that is not compiled if ncurses
      is configured with "--disable-termcap", as we do.
    - 01-use-d-reentrant.diff, no longer needed since all architectures moved
      away from LinuxThreads and Policy 3.9.1 has explicitly removed the need
      to #define _REENTRANT.
  * Refresh all remaining Debian patches and add DEP-3 headers to them.
  * Remove the fix for bug #127622 from 02-debian-backspace.diff,
    no longer needed.
  * Update patch 02-debian-backspace.diff to get kbs=\177 in all screen-*
    terminfo entries (Closes: #602300).
  * Drop the rather outdated screen terminfo from the debian directory and use
    the one provided by upstream's terminfo.src instead.
  * Get CFLAGS, CXXFLAGS and LDFLAGS from dpkg-buildflags, adding a build
    dependency on dpkg-dev (>= 1.15.7).
  * Switch to format 3.0 (quilt).
    - Remove quilt build dependency and patch/unpatch logic from debian/rules.
    - Drop debian/README.source.
  * Add a debian/watch file.
  * Extend the package descriptions.
  * Remove duplicate "Priority:" fields from debian/control.
  * Update debian/copyright:
    - Update FSF Copyright years.
    - Mention other copyright holders and licenses.
    - Give a pointer to the current location of the ncurses sources.
    - Stop mentioning Debian changes.
  * Upgrade Standards-Version to 3.9.1, no changes needed.

  [ Loïc Minier ]
  * Update patch 05-emdebian-wchar to apply cleanly.
  * Drop 08-pkg-config-libdir patch as dpkg >= 1.15.6 don't set
    PKG_CONFIG_LIBDIR anymore.

  [ Steve Langasek ]
  * Export LDFLAGS in debian/rules (Closes: #586144).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 29 Nov 2010 16:41:55 +0100

ncurses (5.7+20100313-5) unstable; urgency=low

  * New patch 01-debian-kfreebsd-terminfo.patch, adding a cons25-debian
    terminfo entry to ncurses-base for the Debian GNU/kfreebsd console
    (Closes: #607662).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 29 Dec 2010 19:55:00 +0100

ncurses (5.7+20100313-4) unstable; urgency=low

  * New patch 09-fix-delscreen-segfault.diff taken from upstream
    patchlevel 20100501, fixes a segfault or infinite loop in applications
    using multiple screens (Closes: #597175).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 28 Sep 2010 07:08:17 +0200

ncurses (5.7+20100313-3) unstable; urgency=low

  * Fix dangling symlinks in ncurses-term that were introduced by the
    removal of the ncurses-base compatibility symlinks in version
    5.7+20100313-1 (Closes: #576127).  Add versioned Breaks against older
    ncurses-term versions in ncurses-base.
  * Correct rxvt-unicode sgr0 terminfo entry (Closes: #595484).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 11 Sep 2010 21:13:00 +0200

ncurses (5.7+20100313-2) unstable; urgency=medium

  [ Sven Joachim ]
  * Disable rmm and smm features in xterm terminfo entry (see #574396).
  * Include an empty /usr/share/terminfo directory in ncurses-bin to
    ensure that configure scripts detect terminfo support (Closes: #575284).
  * Let libncurses5-dev and libncursesw5-dev depend on the same version of
    ncurses-bin to mitigate the impact of #480437.
  * Explicitly specify source format 1.0 (lintian warning).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 25 Mar 2010 14:13:38 +0100

ncurses (5.7+20100313-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Workaround for bug in g++ 4.1-4.4 warnings for wattrset() macro
      on amd64 (Closes: #542031).
    - Fix typo in curs_mouse.3x (Closes: #429198).
    - Modify CF_MAN_PAGES configure macro to replace all occurrences of
      TPUT in tput.1's manpage (Closes: #573597).
    - Bump shlibs version, as there are several new symbols.
  * Remove patch introduced in 5.5-2, applied upstream. Remove patch
    introduced in version 5.7+20090627-1, no longer necessary.
  * Switch patch system to quilt.
    - Add a short debian/README.source as recommended by policy.
  * Configure with /usr/share/terminfo as default terminfo dir, so that
    we get the correct tabset directory (Closes: #509919, LP: #200773).
  * Update xterm terminfo entry from xterm 246 (Closes: #444250).
  * Derive xterm{16,256,88}-color from xterm-debian rather than
    xterm-new for correct backspace key behavior.
  * Move the debugging libraries back to /usr/lib/debug (Closes: #553239),
    ship detached debugging symbols (Closes: #532022).
  * Fix typo in debian/rules that lead to a dangling symlink in
    lib64ncurses-dev (Closes: #563272).
  * Install the binaries built without trace support in ncurses-bin
    to avoid symbol lookup errors (Closes: #365120).
  * Build static libraries with "--without-dlsym" (Closes: #556378).
  * Remove compatibility symlinks in /usr/share/terminfo that were only
    necessary for upgrades from versions prior to 5.4-9.
  * debian/control cleanups:
    - Adjust priority of the source package to required.
    - Remove duplicate Section field for library packages.
    - Fix dependencies of lib32ncursesw5-dev.
    - Fix long descriptions of 32-bit packages on 64-bit systems.
    - Do not recommend libgpm2 in non-native library packages, nor on
      non-Linux architectures.
    - Remove very old Replaces/Conflicts/Provides on ncurses-developer,
      ncurses and tput.
    - Version the "Replaces: ia32-libs" for lib32ncurses-dev.
    - Remove no longer needed "Replaces: ncurses-term" and
      "Depends: libncurses5" from ncurses-base.
    - Set Homepage field to http://invisible-island.net/ncurses/.
    - Add Vcs-Browser and Vcs-Git fields.
    - Add ${misc:Depends} in all Depends fields.
    - Add myself to Uploaders.
  * Add lintian override for alleged spelling error in ncurses-base'
    extended description; "linux" refers to a terminal type there.
  * Use dh_install instead of dh_movefiles to install files and clean
    up debian/rules a bit.
  * Update Standards-Version to 3.8.4, no changes needed.

  [ Craig Small ]
  * New maintainer Closes: 543852
  * Cross compile patch applied Closes: #550716

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 21 Feb 2010 09:45:58 +0100

ncurses (5.7+20090803-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 08:42:21 +0200

ncurses (5.7+20090803-1) unstable; urgency=low

  * Merging upstream version 5.7+20090803:
    - fixes regression with UTF-8 characters (Closes: #539735, #539745).

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Aug 2009 11:19:05 +0200

ncurses (5.7+20090801-1) unstable; urgency=low

  * Merging upstream version 5.7+20090801.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Aug 2009 11:15:22 +0200

ncurses (5.7+20090728-1) unstable; urgency=low

  * Merging upstream version 5.7+20090728.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 15:12:44 +0200

ncurses (5.7+20090725-1) unstable; urgency=low

  * Merging upstream version 5.7+20090725.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 14:57:29 +0200

ncurses (5.7+20090718-1) unstable; urgency=low

  * Merging upstream version 5.7+20090718.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 14:23:38 +0200

ncurses (5.7+20090711-1) unstable; urgency=low

  * Merging upstream version 5.7+20090711.
  * Using patch-stamp rather than patch in rules (Closes: #538639).

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Jul 2009 09:17:59 +0200

ncurses (5.7+20090704-1) unstable; urgency=low

  * Merging upstream version 5.7+20090704.
  * Adding conflicts to old libc in order to allow upgrade for ia32
    transition (Closes: #538834).

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Jul 2009 08:43:27 +0200

ncurses (5.7+20090627-1) unstable; urgency=low

  * Merging upstream version 5.7+20090627.
  * Adding patch to remove depends to curses.priv.h for expanded.c,
    otherwise FTBFS.

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Jul 2009 23:20:13 +0200

ncurses (5.7+20090613-1) unstable; urgency=low

  * Merging upstream version 5.7+20090613.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 12:42:47 +0200

ncurses (5.7+20090607-1) unstable; urgency=low

  * Merging upstream version 5.7+20090607:
    - fix a regression in lib_tputs.c (Closes: #536177).
  * Correcting location of debug symbols in the debug packages (Closes:
    #532022).
  * Updating package to standards version 3.8.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 08 Jul 2009 02:24:00 +0200

ncurses (5.7+20090606-1) unstable; urgency=low

  * Merging upstream version 5.7+20090606.
  * Removing leftovers from ia32 transition (Closes: #535385).

 -- Daniel Baumann <daniel@debian.org>  Tue, 07 Jul 2009 17:19:49 +0200

ncurses (5.7+20090530-1) unstable; urgency=low

  * Merging upstream version 5.7+20090530.
  * Using /{,usr/}lib32 instead of /emul/ia32-linux/ in amd64
    architecture (Closes: #533012).

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Jun 2009 09:21:07 -0300

ncurses (5.7+20090523-1) unstable; urgency=low

  * Merging upstream version 5.7+20090523.

 -- Daniel Baumann <daniel@debian.org>  Sun, 24 May 2009 15:13:01 +0200

ncurses (5.7+20090516-1) unstable; urgency=low

  * Merging upstream version 5.7+20090516:

 -- Daniel Baumann <daniel@debian.org>  Mon, 18 May 2009 12:29:59 +0200

ncurses (5.7+20090510-1) unstable; urgency=low

  * Merging upstream version 5.7+20090510.

 -- Daniel Baumann <daniel@debian.org>  Mon, 11 May 2009 15:25:16 +0200

ncurses (5.7+20090502-1) unstable; urgency=low

  * Merging upstream version 5.7+20090502.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 May 2009 00:19:41 +0200

ncurses (5.7+20090425-1) unstable; urgency=low

  * Merging upstream version 5.7+20090425.

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 May 2009 10:25:00 +0200

ncurses (5.7+20090419-1) unstable; urgency=low

  * Merging upstream version 5.7+20090419.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 May 2009 13:07:00 +0200

ncurses (5.7+20090418-1) UNRELEASED; urgency=low

  * Merging upstream version 5.7+20090418.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 May 2009 13:01:00 +0200

ncurses (5.7+20090411-1) unstable; urgency=low

  * Merging upstream version 5.7+20090411.

 -- Daniel Baumann <daniel@debian.org>  Sun, 12 Apr 2009 21:01:00 +0200

ncurses (5.7+20090404-1) unstable; urgency=low

  * Merging upstream version 5.7+20090404.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Apr 2009 11:22:00 +0200

ncurses (5.7+20090328-1) unstable; urgency=low

  * Merging upstream version 5.7+20090328.

 -- Daniel Baumann <daniel@debian.org>  Sun, 05 Apr 2009 11:12:00 +0200

ncurses (5.7+20090321-1) unstable; urgency=low

  * Merging upstream version 5.7+20090321.
  * Updating section of debug packages.
  * Updating to standards version 3.8.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 30 Mar 2009 11:11:00 +0200

ncurses (5.7+20090314-1) unstable; urgency=low

  * Merging upstream version 5.7+20090314.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Mar 2009 07:14:00 +0100

ncurses (5.7+20090228-1) unstable; urgency=low

  * Merging upstream version 5.7+20090228.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Mar 2009 23:06:00 +0100

ncurses (5.7+20090221-1) unstable; urgency=low

  * Merging upstream version 5.7+20090221.

 -- Daniel Baumann <daniel@debian.org>  Thu, 26 Feb 2009 11:26:00 +0100

ncurses (5.7+20090214-1) unstable; urgency=low

  * Merging upstream version 5.7+20090214.

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 Feb 2009 14:44:00 +0100

ncurses (5.7+20090207-1) unstable; urgency=low

  * Merging upstream version 5.7+20090207.

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Feb 2009 16:07:00 +0100

ncurses (5.7+20090124-1) unstable; urgency=low

  * Merging upstream version 5.7+20090124.
  * Removing bash.dpatch, went upstream.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Jan 2009 01:50:00 +0100

ncurses (5.7+20090117-1) unstable; urgency=low

  * Merging upstream version 5.7+20090117.
  * Applying patch from David Riebenbauer <davrieb@liegesta.at> to avoid
    bashism in ncurses-config (Closes: #512161).

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Jan 2009 09:18:00 -0500

ncurses (5.7+20090110-1) unstable; urgency=low

  * Merging upstream version 5.7+20090110.

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Jan 2009 10:49:00 -0500

ncurses (5.7+20090105-1) unstable; urgency=low

  * AMerging upstream version 5.7+20090105.

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 Jan 2009 13:14:11 -0500

ncurses (5.7+20090104-1) unstable; urgency=low

  * Merging upstream version 5.7+20090104.

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 Jan 2009 12:39:00 -0500

ncurses (5.7+20090103-1) UNRELEASED; urgency=low

  * Merging upstream version 5.7+20090103.

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 Jan 2009 11:12:00 -0500

ncurses (5.7+20081227-1) unstable; urgency=low

  * Merging upstream version 5.7+20081227.

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Jan 2009 15:46:41 -0500

ncurses (5.7+20081220-1) unstable; urgency=low

  * Merging upstream version 5.7+20081220.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Dec 2008 11:51:00 +0100

ncurses (5.7+20081213-1) unstable; urgency=low

  * Merging upstream version 5.7+20081213.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Dec 2008 21:06:00 +0100

ncurses (5.7+20081206-1) unstable; urgency=low

  * Merging upstream version 5.7+20081206.
  * Removing gpm.dpatch, went upstream.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Dec 2008 20:01:00 +0100

ncurses (5.7+20081129-1) unstable; urgency=low

  * Merging upstream version 5.7+20081129.
  * Correcting previous changelog and patch description to point out
    that the actual applied patch is the one from Thomas Dickey, the
    upstream maintainer.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2008 18:41:00 +0100

ncurses (5.7+20081122-2) unstable; urgency=low

  * Adding patch from upstream based on Samuel Thibault
    <samuel.thibault@ens-lyon.org> analysis to ensure that aalib checks the
    value returned by Gpm_GetEvent() and only proceeds if value == 1
    (Closes: #506717).

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2008 03:43:00 +0100

ncurses (5.7+20081122-1) unstable; urgency=low

  * Merging upstream version 5.7+20081122.

 -- Daniel Baumann <daniel@debian.org>  Tue, 25 Nov 2008 20:28:00 +0100

ncurses (5.7+2008115-1) unstable; urgency=low

  * Merging upstream version 5.7+20081115:
    - Includes tabs utility from GNU termutils (Closes: #502260).

 -- Daniel Baumann <daniel@debian.org>  Tue, 18 Nov 2008 12:13:00 +0100

ncurses (5.7-2) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Adding patch from Petr Salinger <Petr.Salinger@seznam.cz> to fix FTBFS on
    GNU/kFreeBSD (Closes: #504820).
  * Temporarily downgrading sodepver again; this was actually ment to go to
    lenny, but I'm to tired to push it... (Closes: #504745).

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 Nov 2008 21:06:00 +0100

ncurses (5.7-1) unstable; urgency=low

  * Merging upstream version 5.7.
  * Updating soname and sodepver to 5.7 in rules.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Nov 2008 21:34:00 +0100

ncurses (5.6+20081025-1) unstable; urgency=low

  * Merging upstream version 5.6+20081025.

 -- Daniel Baumann <daniel@debian.org>  Sun, 26 Oct 2008 15:30:00 +0100

ncurses (5.6+20081018-1) unstable; urgency=low

  * Merging upstream version 5.6+20081018.
  * Adding dh_md5sums calls (Closes: #502840).

 -- Daniel Baumann <daniel@debian.org>  Thu, 23 Oct 2008 14:28:00 +0200

ncurses (5.6+20081012-2) unstable; urgency=low

  * Removing symlinks in /usr/share/doc for ncurses-base and ncurses-
    term as well (Closes: #502686).

 -- Daniel Baumann <daniel@debian.org>  Sun, 19 Oct 2008 09:08:00 +0200

ncurses (5.6+20081012-1) unstable; urgency=low

  * Merging upstream version 5.6+20081012.
  * Rediffing debian-backspace.dpatch.
  * Removing --disable-tic-depends again; was missunderstanding of mine.
  * Don't symlink doc directories (Closes: #502620).

 -- Daniel Baumann <daniel@debian.org>  Sat, 18 Oct 2008 16:12:00 +0200

ncurses (5.6+20081011-1) unstable; urgency=low

  * Merging upstream version 5.6+20081011.
  * Building with --disable-tic-depends.

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Oct 2008 20:55:00 +0200

ncurses (5.6+20081004-1) unstable; urgency=low

  * Merging upstream version 5.6+20081004.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Oct 2008 14:20:00 +0200

ncurses (5.6+20080927-1) unstable; urgency=low

  * Merging upstream version 5.6+20080927.

 -- Daniel Baumann <daniel@debian.org>  Wed, 08 Oct 2008 21:18:00 +0200

ncurses (5.6+20080925-1) unstable; urgency=low

  * Merging upstream version 5.6+20080925:
    - fix bug in mouse code for GPM from 20080920 changes
      (Closes: #500103, #500369).

 -- Daniel Baumann <daniel@debian.org>  Sat, 27 Sep 2008 19:57:00 +0200

ncurses (5.6+20080920-1) unstable; urgency=low

  * Merging upstream version 5.6+20080920.

 -- Daniel Baumann <daniel@debian.org>  Tue, 23 Sep 2008 12:51:00 +0200

ncurses (5.6+20080913-1) unstable; urgency=low

  * Merging upstream version 5.6+20080913.

 -- Daniel Baumann <daniel@debian.org>  Tue, 16 Sep 2008 09:46:00 +0200

ncurses (5.6+20080907-1) unstable; urgency=low

  * Merging upstream version 5.6+20080907.
  * Installing changelog and docs also for ncurses-base and ncurses-term.
    This allows replace the strict versioned depends against libncurses5
    with an unversioned depends.

 -- Daniel Baumann <daniel@debian.org>  Wed, 10 Sep 2008 09:19:00 +0200

ncurses (5.6+20080906-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Merging upstream version 5.6+20080906.

 -- Daniel Baumann <daniel@debian.org>  Sun, 07 Sep 2008 21:43:00 +0200

ncurses (5.6+20080830-1) unstable; urgency=medium

  * Merging upstream version 5.6+20080830.
  * Switching kdch1 from \177 to \E[3~ in debians, for legacy reasons, own
    embedded xterm defintions (Closes: #319554).

 -- Daniel Baumann <daniel@debian.org>  Mon, 01 Sep 2008 13:23:00 +0200

ncurses (5.6+20080823-1) unstable; urgency=low

  * Merging upstream version 5.6+20080823:
    - Adds Eterm-256color terminal (Closes: #495815).

 -- Daniel Baumann <daniel@debian.org>  Mon, 25 Aug 2008 01:42:00 +0200

ncurses (5.6+20080821-1) unstable; urgency=low

  * Merging upstream version 5.6+20080821.

 -- Daniel Baumann <daniel@debian.org>  Sat, 23 Aug 2008 11:54:00 +0200

ncurses (5.6+20080804-1) unstable; urgency=low

  * Merging upstream version 5.6+20080804.

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 Aug 2008 13:53:00 +0200

ncurses (5.6+20080726-2) unstable; urgency=medium

  * Adding patch from Neil Williams <codehelp@debian.org> to ensure wchar.h is
    available for make_keys when cross-building.

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 Aug 2008 23:31:00 +0200

ncurses (5.6+20080726-1) unstable; urgency=low

  * Merging upstream version 5.6+20080726.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 Aug 2008 23:00:00 +0200

ncurses (5.6+20080713-1) unstable; urgency=low

  * Moving xterm-256color from ncurses-term to ncurses-base, thanks to Iustin
    Pop <iusty@k1024.org> (Closes: #405602).
  * Merging upstream version 5.6+20080713.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Jul 2008 09:09:00 +0200

ncurses (5.6+20080712-1) unstable; urgency=low

  * Merging upstream version 5.6+20080712.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Jul 2008 01:11:00 +0200

ncurses (5.6+20080705-1) unstable; urgency=low

  * Merging upstream version 5.6+20080705.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 Jul 2008 17:37:00 +0200

ncurses (5.6+20080628-1) unstable; urgency=low

  * Merging upstream version 5.6+20080628.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 Jul 2008 17:05:00 +0200

ncurses (5.6+20080621-2) unstable; urgency=low

  * Adjusting libgpm relations to their correct name.

 -- Daniel Baumann <daniel@debian.org>  Fri, 27 Jun 2008 10:06:00 +0200

ncurses (5.6+20080621-1) unstable; urgency=low

  * Rebuilding against libgpm2 (Closes: #487925).
  * Improving package short descriptions as suggested by Justin B. Rye
    <jbr@edlug.org.uk> (Closes: #484172).
  * Sorting build-depends.
  * Adding vcs fields to control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Merging upstream version 5.6+20080621.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2008 11:14:00 +0200

ncurses (5.6+20080614-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Jun 2008 22:32:00 +0200

ncurses (5.6+20080531-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Jun 2008 12:35:00 +0200

ncurses (5.6+20080503-1) unstable; urgency=low

  * New upstream patch level:
    - Modifies screen.* terminfo entries using new screen+fkeys to fix
      overridden keys in screen.rxvt (Closes: #478094).

 -- Daniel Baumann <daniel@debian.org>  Tue, 06 May 2008 13:27:00 +0200

ncurses (5.6+20080419-2) unstable; urgency=low

  * Using tightened versioned depends in ncurses-base on libncurses5
    (Closes: #477725).

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Apr 2008 07:53:00 +0200

ncurses (5.6+20080419-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Apr 2008 13:06:00 +0200

ncurses (5.6+20080405-2) experimental; urgency=low

  * Adding 32bit libncursesw5 packages (Closes: #457363).

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Apr 2008 07:31:00 +0200

ncurses (5.6+20080405-1) unstable; urgency=medium

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Mon, 07 Apr 2008 21:37:00 +0200

ncurses (5.6+20080308-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Sat, 22 Mar 2008 23:24:00 +0100

ncurses (5.6+20080203-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Feb 2008 17:41:00 +0100

ncurses (5.6+20080119-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Fri, 25 Jan 2008 12:45:00 +0100

ncurses (5.6+20080105-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Jan 2008 02:01:00 +0100

ncurses (5.6+20071215-1) unstable; urgency=low

  * New upstream patch level.
  * Updated to new policy.

 -- Daniel Baumann <daniel@debian.org>  Fri, 21 Dec 2007 06:37:00 +0100

ncurses (5.6+20071124-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Thu, 29 Nov 2007 11:28:00 +0100

ncurses (5.6+20071103-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Nov 2007 15:10:00 +0100

ncurses (5.6+20071013-1) unstable; urgency=low

  * New upstream patch level.
  * Rising shlibs to '>= 5.6+20071006-3' (Closes: #446929).

 -- Daniel Baumann <daniel@debian.org>  Tue, 16 Oct 2007 20:43:00 +0200

ncurses (5.6+20071006-3) unstable; urgency=low

  * Actually including ticlib (Closes: #446243).

 -- Daniel Baumann <daniel@debian.org>  Thu, 11 Oct 2007 14:35:00 +0200

ncurses (5.6+20071006-2) unstable; urgency=low

  * Rebuild with --with-ticlib.
  * Improved long-description of ncurses-term, thanks to Filipus Klutiero
    <cheal@hotpop.com> (Closes: #423942).

 -- Daniel Baumann <daniel@debian.org>  Wed, 10 Oct 2007 22:23:00 +0200

ncurses (5.6+20071006-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Tue, 09 Oct 2007 10:57:00 +0200

ncurses (5.6+20070908-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Sep 2007 14:40:00 +0200

ncurses (5.6+20070825-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Tue, 28 Aug 2007 08:39:00 +0200

ncurses (5.6+20070812-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Aug 2007 21:28:00 +0200

ncurses (5.6+20070716-1) unstable; urgency=low

  * New upstream patch level:
    - Fixes problem with tput and -D_REENTRANT (Closes: #433357).

 -- Daniel Baumann <daniel@debian.org>  Tue, 17 Jul 2007 05:26:00 +0200

ncurses (5.6+20070714-1) unstable; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Sun, 15 Jul 2007 20:06:00 +0200

ncurses (5.6+20070602-1) experimental; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 Jun 2007 18:28:00 +0200

ncurses (5.6+20070526-1) experimental; urgency=low

  * New upstream patch level.

 -- Daniel Baumann <daniel@debian.org>  Fri, 01 Jun 2007 21:36:00 +0200

ncurses (5.6-3) unstable; urgency=low

  * Really reverting ia32 library directory rename (Closes: #425596).

 -- Daniel Baumann <daniel@debian.org>  Wed, 23 May 2007 08:59:00 +0200

ncurses (5.6-2) unstable; urgency=low

  * Reverting ia32 library directory rename (Closes: #425538).

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 May 2007 15:38:00 +0200

ncurses (5.6+20070512-1) experimental; urgency=low

  * New upstream patch level.
  * Using dpatch for upstream modifications.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 May 2007 11:38:00 +0200

ncurses (5.6-1) unstable; urgency=low

  * New upstream release (Closes: #417635, #422844).
  * Changed ia32 library directory from /emul/ia32-linux/usr/lib to /usr/lib32.
  * Fixed broken .so symlink in lib32ncurses5-dev (Closes: #424755).
  * Updated build-depends:
    - g++-multilib instead of lib{32,64}c*-dev-* (Closes: #424000).
  * Updated patches:
    - rediffed debian-backspace.patch.
    - removed ncurses-upstream.patch (part of upstream).
    - removed signed-chars.patch (part of upstream).

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 May 2007 10:54:00 +0200

ncurses (5.5-5) unstable; urgency=medium

  * Fixed /usr/share/doc symlinks (Closes: #390169).

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Oct 2006 12:01:00 +0200

ncurses (5.5-4) unstable; urgency=low

  * Building lib32ncurses5 and lib32ncurses5-dev on ppc64 too,
    as suggested by Andreas Jochens <aj@andaco.de> (Closes: #389897).

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 Sep 2006 18:34:00 +0200

ncurses (5.5-3) unstable; urgency=low

  * New maintainer (Closes: #385928).
  * Bumped policy version (no changes needed).

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 Sep 2006 15:57:00 +0200

ncurses (5.5-2) unstable; urgency=low

  * Update to upstream patch level 20060422.
    - Correct missing and bogus copyright notices (Closes: #364339).
    - Correct a typo in the infocmp(1) man page (Closes: 354281).
    - Correct wins_nwstr for single-column non-8bit codes (Closes: #341661).
    - Remove a redundant test in lib_color.c (Closes: #335655).
    - Ignore EINTR in tcgetattr/tcsetattr calls (Closes: #339518).
    - Correct smacs in cygwin terminfo (Closes: #338234).
    - Two additional fixes for wide character display (Closes: #316663)
      (again).
  * Acknowledge NMU (Closes: #355129).
  * Update control file for the removal of Section: base.
  * Use DEB_HOST_ARCH to determine whether to build biarch packages,
    based on patch from Aurelien Jarno (Closes: #334099).
  * Make lib64ncurses5-dev depend on lib64c-dev (Closes: #344022).
  * Add 32-bit library support on amd64, based loosely on Ubuntu
    patch (Closes: #344442).
  * Package debugging versions of libncurses++.a.
  * Update to debhelper compatibility level 5.
  * Update policy version to 3.7.0.0.
  * Use shorter symlinks within terminfo directories when possible
    (e.g. xx -> xy instead of xx -> ../x/xy).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 30 Apr 2006 16:35:05 -0400

ncurses (5.5-1.1) unstable; urgency=low

  * NMU to fix missing Makefile escaping in debian/rules (Closes: #355129)
    Thanks to Pjotr Kourzanov <peter.kourzanov@xs4all.nl>.

 -- Margarita Manterola <marga@debian.org>  Sat, 15 Apr 2006 01:11:55 -0300

ncurses (5.5-1) unstable; urgency=low

  * New upstream release.
    - inwstr-manpage-section.patch and tack-manpage.patch merged.
    - Remove reference to non-existant BUGS section (Closes: #325481).
    - Wide character repainting fix (Closes: #316663).
    - Hurd sgr0 trimming fix (Closes: #318621).
  * Set the expected libgpm SONAME in debian/rules to avoid cross compilation
    checks.
  * Build 64-bit libraries on i386 and powerpc (Closes: #333749).
  * Correct the type of NCURSES_BOOL in 64-bit biarch builds.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 14 Oct 2005 21:13:00 +0000

ncurses (5.4-9) unstable; urgency=low

  * Rebuild with gcc-4.0.
  * Move ncurses-base terminfo descriptions to /lib/terminfo, but continue
    to search /etc/terminfo (Closes: #316093).
  * Clean up dependencies in debian/rules for partial builds.
  * Install a README in /etc/terminfo.
  * Clean out cruft from various preinsts and postinsts.
  * Automatically remove old terminfo entries from /etc/terminfo if unmodified.
  * Add compatibility links in /usr/share/terminfo to /lib/terminfo.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 16 Jul 2005 15:02:55 -0400

ncurses (5.4-8) unstable; urgency=low

  * Disable GPM for 64-bit builds since there is no 64-bit libgpm package
    (Closes: #315463).
  * Correct file conflict between ncurses-base and ncurses-term
    (Closes: #315405).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 26 Jun 2005 15:40:56 -0400

ncurses (5.4-7) unstable; urgency=low

  * Update to upstream patch level 20050619.
    - Removes a minor optimization which broke aptitude in an Eterm
      (Closes: #313609).
    - Incorporated edit-man-out-of-sourcedir.patch.
    - Obsoleted tack-manpage-section.patch.
    - Implement, and fix up, --with-chtype.
  * Update the priority of libncursesw5.
  * Update for changed dpkg-architecture behavior without breaking backwards
    compatibility (Closes: #314448).
  * Conditionalize GPM dependency for Linux only (Closes: #313478).
  * Add a terminfo entry for rxvt-unicode (Closes: #270287).
  * Use new --with-chtype and --with-mmask-t options for now.
  * Tweak the tack manpage again.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 19 Jun 2005 21:48:37 -0400

ncurses (5.4-6) unstable; urgency=medium

  * Add a versioned dependency from ncurses-base to libncurses5, because
    the old libncurses5 can not handle multi-character rmacs sequences
    when it processes sgr0 (see bug #313352).
  * Add a build dependency on quilt (Closes: #313399).
  * Do not ship terminal types shipped by other packages in Debian to
    avoid future file conflicts (Closes: #313278).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 13 Jun 2005 10:28:04 -0400

ncurses (5.4-5) unstable; urgency=low

  * Use quilt to manage patches.
  * Update to upstream patch level 20050604.
    - Hurd build fix merged upstream.
    - Part of explicitly signed character patch merged upstream.
    - Corrected man page for mouseinterval (Closes: #280687).
    - Improved support for the zn_CH.GBK locale (Closes: #301376).
    - Improved terminfo entry for putty (Closes: #305704).
    - Explain the reference to ded(1) on the default_colors(3ncurses)
      man page (Closes: #295083).
    - Reset xterm mouse mode in various terminfo entries (Closes: #55637).
    - Check the size of the terminal after newterm() (Closes: #265631).
  * Updated xterm terminfo entry from xterm 200.  Combined with the
    upstream patch level, this (Closes: #254316).
  * Install the examples in libncurses5-dev again (Closes: #257872).
  * Remove use of test -a in ncurses-base and ncurses-term preinsts
    (Closes: #259253).
  * Enable gpm support (Closes: #110586).
  * Load libgpm.so.1 instead of libgpm.so.
  * Merge the Debian rxvt terminfo entry with upstream changes.
    - Upstream added cnorm to rxvt's reset string, so that the block cursor
      is restored if civis was used (Closes: #265784).
  * Fix the default bindings for F1-F4 in rxvt.
  * Use smkx instead of rmkx in rxvt's reset string, so that reset does
    not leave the keypad in the wrong state.
  * Move libncursesw.so.5 to /lib (Closes: #273463).
  * Added a patch from NIIBE Yutaka to support cross-compilation between
    two Debian systems (Closes: #283059).
  * Correct the section for the inwstr(3ncurses) man page.
  * Add myself to Uploaders.
  * Correct sections on the tack(1) man page.
  * Use symlinks instead of hardlinks for the terminfo database.
  * Remove a four-year-old workaround for an ia64 gcc bug.
  * Update shlibs file to (>= 5.4-5).
  * Configure using --disable-lp64 for compatibility on 64-bit architectures.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 12 Jun 2005 11:17:54 -0400

ncurses (5.4-4) unstable; urgency=low

  * Update README.Debian to describe current packaging (Closes: #242794).
  * Make hurd-i386 build again (Closes: #249214).
  * Install the Hurd terminfo entry in ncurses-base (Closes: #249215).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 27 May 2004 10:09:15 -0400

ncurses (5.4-3) unstable; urgency=low

  * Apply 20040313 and 20040320 patches from upstream
    (Closes: #237831, #227879).
  * Fix some remaining casts to "char" which need to be "signed char"
    (Closes: #237629, #237870, #238718).
  * Update Eterm terminfo entry to agree with the Debian practice of
    kbs=\177 (Closes: #237997).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 22 Mar 2004 16:12:36 -0500

ncurses (5.4-2) unstable; urgency=low

  * Oops, rebuild as non-native package.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 10 Mar 2004 15:00:31 -0500

ncurses (5.4-1) unstable; urgency=low

  * New upstream release (Closes: #230335, #236957).
  * Update to policy 3.6.1.0 (no changes required).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 10 Mar 2004 13:52:53 -0500

ncurses (5.3.20030719-5) unstable; urgency=low

  * Fix false dependency of ncurses-bin on lib64ncurses5 on sparc
    (Closes: #221174).
  * Update config.sub and config.guess (Closes: #221651).
  * Include wsvt25 and wsvt25m for knetbsd (Closes: #224172).
  * Include Eterm terminfo descriptions in ncurses-base (Closes: #227402).
  * Fix tack for standout != bold.  Half of this fix is already
    included upstream (Closes: #224443).
  * Print program name in tput error messages (Closes: #227586).
  * Update libncursesw5 to standard.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 16 Jan 2004 14:32:08 -0500

ncurses (5.3.20030719-4) unstable; urgency=low

  * Add missing build dependency for s390x (Closes: #210307).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 07 Nov 2003 14:05:42 -0500

ncurses (5.3.20030719-3) unstable; urgency=low

  * Apply patch from Thomas Dickey for a problem with the dl1 capability
    (Closes: #215805).
  * Cross-compile when building 64-bit libraries, since the S/390 build
    systems can not run s390x executables.
  * Correct a comment typo (Closes: #215806).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 20 Oct 2003 23:01:41 -0400

ncurses (5.3.20030719-2) unstable; urgency=low

  * Add 64-bit libraries for sparc64 (non-wide only) (Closes: #204418).
  * Clarified description for libncursesw5-dev (Closes: #204670).
  * Import upstream fix for Big5 display (Closes: #204889).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 27 Aug 2003 21:15:11 -0400

ncurses (5.3.20030719-1) unstable; urgency=low

  * New upstream snapshot.
    - Includes GNU/FreeBSD support (Closes: #200397).
    - Warning fix for character array subscripts (Closes: #195732).
    - Update use of __attribute__ for C++ (Closes: #195230).
  * Move the Cygwin terminfo to ncurses-base.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 20 Jul 2003 15:22:51 -0400

ncurses (5.3.20030510-2) unstable; urgency=low

  * Bump shlibs version to 5.3.20030510-1 (Closes: #194633).
  * Move libncurses5-dbg and libncursesw5-dbg to libdevel also.
  * Install cons25 terminfo in ncurses-base for GNU/FreeBSD
    (Closes: #196232).

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 14 Jun 2003 11:52:47 -0400

ncurses (5.3.20030510-1) unstable; urgency=low

  * New upstream snapshot.
    - Includes fix for a duplicate initialization bug (Closes: #192267).
  * Make the argument to define_key a "const char" (Closes: #192860).
  * Change the sections of libncurses5-dev and libncursesw5-dev.
  * Add a terminfo file for the Hurd terminal.
  * Provide a static libncurses_g.a.  I can't provide a shared one
    without introducing an rpath, since it has the same soname as a
    non-debugging version.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 14 May 2003 13:15:10 -0400

ncurses (5.3.20021109-2) unstable; urgency=low

  * Update screen terminfo entry (Closes: #165222).
  * Fix a typo in tset (Closes: #171583).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 04 Dec 2002 09:45:43 -0500

ncurses (5.3.20021109-1) unstable; urgency=low

  * New upstream version (Closes: #163512).
    - Thanks to Andreas for doing a lot of the grunt work.
    - Works around lameness in dpkg's build process (Closes: #165897).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 11 Nov 2002 14:58:33 -0500

ncurses (5.2.20020112a-8) unstable; urgency=low

  * Depend on libc-dev instead of libc6-dev (Closes: #145569).
  * Re-enable trace support in libncurses5-dbg (Closes: #146033).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 09 May 2002 17:46:11 -0400

ncurses (5.2.20020112a-7) unstable; urgency=low

  * Update screen terminfo from the screen package (Closes: #112826).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 29 Mar 2002 14:29:49 -0500

ncurses (5.2.20020112a-6) unstable; urgency=low

  * Add screen-bce terminfo (Closes: #138220).
  * Configure with --without-ada (Closes: #135024).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 18 Mar 2002 14:01:35 -0500

ncurses (5.2.20020112a-5) unstable; urgency=low

  * Fix documentation symlinks on upgrades (Closes: #134744).

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 19 Feb 2002 17:26:49 -0500

ncurses (5.2.20020112a-4) unstable; urgency=low

  * Give all packages a common doc directory via symlinks.
  * Add a FAQ.
    - Document Print Screen on the console sending SIGQUIT
      (Closes: #53776).
    - Document ncurses applications resetting custom cursors
      (Closes: #55091).
    - Document the situation with Home and End
      (Closes: #131501, #89034, #98029, #107453, #107897, #116943,
       #119491, #130029, #99493).
    - Document the use of different xterms and xterm terminal types
      (Closes: #71637).
  * Include patch from Sven Verdoolaege to fix some wide-character
    bugs (Closes: #134205).
  * Include patch to fix keypad() bug (Closes: #131263).
  * Fix typo in keybound.3x manpage (Closes: #132037).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 17 Feb 2002 18:57:56 -0500

ncurses (5.2.20020112a-3) unstable; urgency=low

  * Update to current config.sub/config.guess to fix MIPS (Closes: #130581).
  * Clarify descriptions of the ncursesw packages in debian/control
    (Closes: #130012).
  * Update terminfo for gnome-terminal to match Debian gnome-terminal
    package (backspace/delete) (Closes: #127622).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 25 Jan 2002 13:27:21 -0500

ncurses (5.2.20020112a-2) unstable; urgency=low

  * Break hard link in /etc (Closes: #129807, #129904).

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 19 Jan 2002 14:55:40 -0500

ncurses (5.2.20020112a-1) unstable; urgency=low

  * New upstream patchlevel.
    - Correct curs_set manual page (Closes: #121548).
    - Correct kbs for Mach terminal types (Closes: #109765).
  * Include a patch to improve clearing colored lines (Closes: #112561).
  * Build even shared library with debugging info; we strip it out anyway,
    but this makes the build directory more useful.
  * Build in separate object directories.
  * Build wide character support in new packages.
  * Change the -dbg packages to include debugging shared libraries in
    /usr/lib/debug; lose the profiling and static debugging libraries;
    ship unstripped libraries in -dev.
  * Don't generate debian/control or debian/shlibs.dummy.
  * Use debhelper in v3 mode.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 16 Jan 2002 22:20:00 -0500

ncurses (5.2.20010318-3) unstable; urgency=low

  * Use a Pre-Depends in ncurses-bin, because it is marked Essential: yes
    (Closes: #102398).
  * Build C++ demos without optimization, for poor broken ia64
    (Closes: #104771, #105139).
  * Fix harmless lintian warnings in the source package - dh_testversion
    removal and missing #DEBHELPER#'s.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 18 Jul 2001 20:03:55 -0700

ncurses (5.2.20010318-2) unstable; urgency=low

  * Fix S/390 varargs handling by removing an illegal cast (Closes: 97945).
  * Append to LD_LIBRARY_PATH so we don't break fakeroot.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 02 Jun 2001 12:27:38 -0700

ncurses (5.2.20010318-1) unstable; urgency=low

  * New upstream patch to fix manual editing (Closes: #89939).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 18 Mar 2001 20:40:54 -0500

ncurses (5.2.20010310-2) unstable; urgency=low

  * Update rxvt terminfo entries, based on ncurses and the rxvt source
    (Closes: #54874).
  * Provide rxvt-basic as an alias to rxvt-m instead of from a different
    source.
  * Provide ncurses-dev, since the kernel packages still suggest it
    (Closes: #55781).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 16 Mar 2001 17:14:56 -0500

ncurses (5.2.20010310-1) unstable; urgency=low

  * New upstream snapshot.
    - Fixes compatibility with newer GCC snapshots and with
      libstdc++ v3 (Closes: #75783, #83336).
  * Update priorities to match overrides:
    - dbg: optional -> extra
    - dev: standard -> optional
  * Fix dangling /usr/lib/libcurses.so symlink (Closes: #88966).
  * Tighten version requirement in shlibs file (Closes: #89643).
  * Remove superflous %| from xterm-xfree86 terminfo
    in debian/xterm.ti (Closes: #89222).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 14 Mar 2001 17:22:37 -0500

ncurses (5.2-1) unstable; urgency=low

  * New upstream version (Closes: #74749, #75740, #85729).
  * debian/control.in: Remove dependencies on essential ncurses-base
    (lintian). Also, don't make libncurses5 depend on itself.
  * Actually update the Maintainer this time.
  * Add --enable-const (Closes: #88472, #80410, #62190).
  * Freshen config.guess/config.sub (Closes: #81879).
  * Mach terminfo entries available upstream (Closes: #68831).
  * Add new xterm terminfo entry from XFree86 4.0.2
    (Closes: #79295, #58850, #72236, #30567, #55146).

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 06 Mar 2001 01:07:40 -0500

ncurses (5.0-8) unstable; urgency=high

  * Security upload, fixing several exploitable buffer overflows.
  * New member of ncurses-maint, unfortunately...

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 21 Nov 2000 21:52:34 -0500

ncurses (5.0-7) unstable; urgency=low

  * Non-maintainer upload.
  * debian/mach-color.ti: Add pairs and op capabilities.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue, 08 Aug 2000 23:08:25 +0200

ncurses (5.0-6) frozen unstable; urgency=low

  * Add signedness patch from Dan Jacobowitz <dan@debian.org>
    (closes:Bug#56646).
  * Backout keyboard policy change to xterm-color on recommendation
    of Branden Robinson <branden@debian.org>.

 -- Joel Klecker <ncurses-maint@debian.org>  Tue, 01 Feb 2000 22:57:22 -0800

ncurses (5.0-5) frozen unstable; urgency=low

  * Update xterm.ti from Branden Robinson <branden@debian.org>
    (closes:Bug#55840).
  * ncurses-base: Include /usr/share/terminfo/x/xterm-color ->
    /etc/terminfo/x/xterm-color symlink (closes:Bug#56101,#55619).
  * debian/rxvt.ti: Remove kf0 due to clash with kf10 (closes:Bug#56086).
  * Closes:#54523 since ncurses-base is back.
  * Make xterm-color conform to Debian keyboard policy too (closes:Bug#53871).
  * Closes:#54140: User is a moron.
  * Change Maintainer to "Joel Klecker <ncurses-maint@debian.org>".

 -- Joel Klecker <ncurses-maint@debian.org>  Wed, 26 Jan 2000 15:18:46 -0800

ncurses (5.0-4) frozen unstable; urgency=low

  * Revive ncurses-base.
    - Add xterm-* used in fallbacks.
    - Use --with-terminfo-dirs.
  * Fix smcup/rmcup entries for xterm (closes:Bug#55146).

 -- Joel Klecker <espy@debian.org>  Sun, 16 Jan 2000 19:57:08 -0800

ncurses (5.0-3) unstable; urgency=low

  * Add patch for powerpc from Dan Jacobowitz (dan@debian.org).
  * debian/rules: Zap --with-gpm.

 -- Joel Klecker <espy@debian.org>  Thu, 06 Jan 2000 17:26:59 -0800

ncurses (5.0-2) unstable; urgency=low

  * New maintainer: Debian ncurses Team <ncurses-maint@debian.org>.
  * Transition plan as requested by Richard Braakman (release manager):
    - Packages in base that use ncurses MUST be recompiled.
    - Other packages SHOULD be recompiled.
  * Hack configure to compile with -fPIC instead of -fpic
    (aclocal.m4 modified too, but configure can't be regenerated without a
     specially patched autoconf)
  * Rename source package back to 'ncurses' (ncurses 4.2 becomes 'ncurses4.2').
  * Revamp debian/rules.
  * Use ncurses fallback mechanism, thereby eliminating ncurses-base.
    - Add new xterm* terminfo from Branden Robinson <branden@debian.org>.
  * libncurses5-dev:
    - Include libncurses++ and headers now that upstream installs them.
      (closes:Bug#42357)
    - Now depends on libncurses5 (= ${Source-Version) (closes:Bug#35422)
    - Add devel symlinks for libtermcap for user convenience.
    - Don't make /usr/include/ncurses symlink anymore.
  * ncurses-bin:
    - Move man5 and man7 man pages here (closes:Bug#20291).
    - Bug #27607 apparently fixed upstream:
       + modify _nc_set_writedir() to set a flag in _nc_tic_dir() to prevent
         it from changing the terminfo directory after chdir'ing to it.
         Otherwise, a relative path in $TERMINFO would confuse tic (from a
         Debian bug report). (closes:Bug#27067)
  * ncurses-term: Replaces ncurses-base.
    - Close silly bug (closes:Bug#49483).

 -- Joel Klecker <espy@debian.org>  Tue, 28 Dec 1999 17:10:48 -0800

ncurses5 (5.0-1) unstable; urgency=low

  * Ported the changes made to 4.2 to 5.0
  * Changed ncurses to ncurses5

 -- Vaidhyanathan G Mayilrangam <vaidhy@debian.org>  Mon, 06 Dec 1999 01:16:52 -0500

ncurses (4.2-3.4) unstable; urgency=low

  * Non-maintainer release.
  * Correct monochrome terminal support (whoops!)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 06 Oct 1999 19:45:10 -0700

ncurses (4.2-3.3) unstable; urgency=low

  * Non-maintainer release.
  * Add Mach terminal support.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 22 Sep 1999 20:30:15 -0700

ncurses (4.2-3.2) unstable; urgency=low

  * Non-maintainer release.
  * Add (>= 4.2-3.1) to shlibs for safer upgrades.

 -- Joel Klecker <espy@debian.org>  Thu, 18 Mar 1999 12:07:55 -0800

ncurses (4.2-3.1) unstable; urgency=low

  * Non-maintainer release.
  * Rebuild for glibc 2.1.

 -- Joel Klecker <espy@debian.org>  Tue, 02 Mar 1999 23:25:27 -0800

ncurses (4.2-3) frozen unstable; urgency=low

  * Restored ncurses-intro manuals to libncurses-dev documentation (#?)
  * Removed empty /usr/bin from libncurses (#29022)
  * /usr/lib/libncurses.so is no longer a relative symlink (#29679)
  * Added support for linux-arm into config.guess (#29927)

 -- Galen Hazelwood <galenh@debian.org>  Tue, 24 Nov 1998 08:37:09 -0700

ncurses (4.2-2) unstable; urgency=low

  * Add screen entries to ncurses-base conffiles list
  * Restore examples directory to libncurses4-dev
  * If TERMINFO_DIRS ends with a colon, search default paths (#27605, #25248)
    (it was always supposed to do that, but now it actually works)
  * Debian rxvt now clears screen on rmcup (#22289)
  * ncurses-term: Added xterm-color symlink to color_xterm (#16804 et al)

 -- Galen Hazelwood <galenh@debian.org>  Fri, 09 Oct 1998 16:04:22 -0600

ncurses (4.2-1) unstable; urgency=low

  * First release of new ncurses into main distribution
  * Integrated jdassen's remake of debian/rules, now uses debhelper
  * Updated security patches

 -- Galen Hazelwood <galenh@debian.org>  Mon, 05 Oct 1998 08:15:53 -0600

ncurses (4.2-0) experimental; urgency=low

  * Experimental (lightly tested, known problems) build of new ncurses
  * -pic package dropped (no longer needed)

 -- Galen Hazelwood <galenh@debian.org>  Mon, 21 Sep 1998 14:44:09 -0600

ncurses (1.9.9g-8.10) stable unstable; urgency=high

  * Rebuilt so that dialog and sc do not coredump.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 09 Sep 1998 13:28:02 +0200

ncurses (1.9.9g-8.9.1) stable; urgency=high (security fix)

  * Previous upload got rejected. Set distribution to "stable" instead of
    "hamm-updates".

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 29 Jul 1998 14:22:50 +0200

ncurses (1.9.9g-8.9) hamm-updates; urgency=high (security fix)

  * [ncurses/{read_termcap,read_entry}.c] Security fix for setuid operation:
    switch to user's priviledges on file operations.
    (based on ncurses-1.9.9e-setuid.patch courtesy of Red Hat).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 26 Jul 1998 16:53:38 +0200

ncurses (1.9.9g-8.8) frozen unstable; urgency=low

  * Non-maintainer upload.
  * The debugging version in ncurses3.4-dbg was not actually compiled with -g.
    This makes it rather unuseful.  It's due to an error in the configure.in,
    which refers to variables ac_cv_prog_gcc_g and ac_cv_prog_gxx_g to check
    if "-O2 -g" is supported.  This should be ac_cv_prog_cc_g and
    ac_cv_prog_cxx_g instead.  Fixed.
  * debian/xterm.ti had a "blink@" entry for the xterm terminal, which
    cancels the blink capability ("mb").  Since it has no "use" line,
    the use resolver is never called for it, which leaves the "CANCEL"
    value in the compiled info for xterm.
    tgetstr() does not check for cancelled values, so it returns the
    CANCELLED_STRING value which is not a valid pointer.
    Fixed by having tgetstr() return NULL for cancelled values.
    This fixes the bug that causes screen to crash in an xterm (bug#23998).

 -- Richard Braakman <dark@xs4all.nl>  Fri, 17 Jul 1998 12:37:49 +0200

ncurses (1.9.9g-8.7) frozen unstable; urgency=low

  * For reasons that I don't understand, using ncurses3.4 >= 1.9.9g-8.1 with
    ncurses3.4-dev 1.9.9g-8.6 causes lxdialog (kernel's make menuconfig)
    to segfault. Changed the dependency to >= Source-Version. (Fixes
    release-critical #24392).
  * More manpages fixes (Fixes #24400):
    * [aclocal.m4] Rewrote the manpages fixing code somewhat so that
      references like "\fBcurses\fR(3X), " get handled correctly
    * [man/curs_termcap.3x] Minor changes, so that references get translated
      properly.
    * [man/man_db.renames] Added terminfo.\*n and curs_terminfo.\*n .

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 11 Jul 1998 16:28:21 +0200

ncurses (1.9.9g-8.6) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules (binary-arch): install new xterm and xterm-debian
    terminfos provided by Branden Robinson <branden@purdue.edu>.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Tue, 23 Jun 1998 21:32:02 +0200

ncurses (1.9.9g-8.5) frozen unstable; urgency=high

  * *sigh* -8.4 had several problematic leftovers from debugging in it:
  * - built with assertions and without _REENTRANT .
    - wrong fix in the library code. (this broke "screen").
  * Despite the bad karma with -8.4, I still feel strongly that this should
    go into frozen, due to the amount and severity of the bugs it fixes.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 25 May 1998 15:56:36 +0200

ncurses (1.9.9g-8.4) frozen unstable; urgency=high (fixes coredumps and makes documentation usable)

  * [progs/tput.c] Corrected the handling of error returns from setupterm()
    (to the way ncurses 4.2 does it).
    Fixes the "tput dumps core on unknown TERM" bug. (Fixes #5600).
  * [progs/toe.c] Set pointers to NULL after free-ing (like ncurses 4.2
    does) This fixes the "toe segfaults on megatek" bug. (Fixes #22280).
  * Fixed manpages and their cross-references:
    (Fixes #2806, #5363, #6822, #7889, #9977, #15120, #15637, #15088,
     #10064, #18669).
    * [aclocal.m4] Fixed the generation of the manpage transformation sed
      script so that it also transforms references like
      \fBcurs_refresh\fR(3X) . Warning: attempts to understand this code may
      cause psychological trauma due to exposure to quoting hell.
    * [man/{curs_bkgd,resizeterm,wresize}.3x] Removed otherwise empty "."
      lines between .TH and .SH lines which caused whatis parse to fail.
    * [debian/rules, debian/routines.pl] Added links for the ncurses and form
      routines to the appropriate manpages.
  * Include tutorial (misc/ncurses-intro.{doc,html) in the development package.
  * [misc/ncurses-intro.doc] Corrected umlaut in Juergen's first name.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 24 May 1998 17:21:22 +0200

ncurses (1.9.9g-8.3) frozen unstable; urgency=low

  * Non-maintainer upload.
  * The fix wrt "bool" introduced in -8.1 causes problems when a >= -8.1
    -dev package is used with a < -8.1 runtime package.
    Added (>= 1.9.9g-8.1) to Depends: ncurses3.4 to prevent this situation
    from reoccuring (Fixes #22475).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 16 May 1998 13:08:04 +0200

ncurses (1.9.9g-8.2) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Fixes the overlap between hamm/ncurses3.4-dbg 1.9.9g-8 and
    bo/ncurses3.0-dev 1.9.9e-1 (usr/lib/lib{form,menu,ncurses,panel}_g.a)
    which Richard Braakman reported on debian-devel; used "Replaces:"
    rather than "Conflicts:" (there is an implicit conflict already).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 13 May 1998 18:40:28 +0200

ncurses (1.9.9g-8.1) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Added a new xterm terminfo entry: kbs changed from ^H to \177
    and kdch1 from \177 to \E[3~ (per policy) (addresses part of #21914).
  * Make /usr/lib/libn?curses.so absolute rather than symbolic links
    (as per policy) (fixes #21913).
  * aclocal.m4: Invoke gzip with '-9'.
  * Generated "configure" with up to date autoconf; the old configure needed
    libg++-dev (the test for handling of type bool used <builtin.h>). Thus,
    "bool" is properly detected (fixes #20534, #17763).
  * Updated shlibs to >= this version, just in case the bool issue affects
    compatibility.
  * Fixed some file/directory permissions.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 08 May 1998 08:46:23 +0200

ncurses (1.9.9g-8) unstable; urgency=low

  * Hacked LD_LIBRARY_PATH in rules (#16203)
  * New rxvt entry (#16363, #16430, #17457, #17676)
  * New screen entry (#17675)

 -- Galen Hazelwood <galenh@micron.net>  Sun, 01 Feb 1998 14:42:07 -0700

ncurses (1.9.9g-7) unstable; urgency=low

  * Updated rxvt entry yet again, should fix everything (#10206)
  * Made all symlinks into /etc/terminfo absolute (#15313)
  * Fixed problem invoking tic on ncursesless systems (#15781)
  * No longer install shared libraries executable (#15479)

 -- Galen Hazelwood <galenh@micron.net>  Sat, 13 Dec 1997 10:41:42 -0700

ncurses (1.9.9g-6) unstable; urgency=low

  * Munged rxvt entry a bit more (#13996)
  * kterm entry inherits from older xterm now (#14726)
  * Removed ich(1) from linux, screen, vt320 (#15127)

 -- Galen Hazelwood <galenh@micron.net>  Wed, 26 Nov 1997 12:23:49 -0700

ncurses (1.9.9g-5) unstable; urgency=low

  * Changed khome and kend on xterm (#13362, #6100)
  * Made all critical terminfo entries conffiles (#13439)
  * Added config.h to examples directory (#13454)
  * Patched lib_termcap to handle long id strings (#10588)

 -- Galen Hazelwood <galenh@micron.net>  Sun, 12 Oct 1997 11:46:20 -0600

ncurses (1.9.9g-4) unstable; urgency=low

  * Removed bogus examples Makefile (#12543)
  * Replaced broken rxvt entry (#13171, #13321)
  * Removed broken xterm-color symlink, and no longer mention it in
    ncurses-base description
  * Updated to standard 2.3.0.0

 -- Galen Hazelwood <galenh@micron.net>  Wed, 24 Sep 1997 20:55:03 -0600

ncurses (1.9.9g-3) unstable; urgency=low

  * Moved changelog to changelog.Debian (#10757)
  * Hacked ncurses manpage to warn about inadequate terminals (#1314)
  * Put ncurses.h back in -dev package
  * Updated terminfo database from 9.13.22 to 9.13.25
  * Removed reference to nonexistant utility from tic manpage (#3829)
  * Hacked aclocal.m4 to support library dependencies
  * Updated to standard 2.2.0.0

 -- Galen Hazelwood <galenh@micron.net>  Thu, 17 Jul 1997 16:52:58 -0600

ncurses (1.9.9g-2) unstable; urgency=low

  * Fixed /etc/terminfo directory support (#10572, #10577)
  * Fixed symlink loss problem (#10552)

 -- Galen Hazelwood <galenh@micron.net>  Sun, 15 Jun 1997 10:38:49 -0600

ncurses (1.9.9g-1) unstable; urgency=low

  * New maintainer
  * New upstream version (fixes #9219)
  * Built with libc6
  * Libraries compiled with -D_REENTRANT
  * Quick fix for termcap emulation (fixes #1045)
  * Linked reset manpage to tset manpage (fixes #3192, #8187, #9921)
  * Library package no longer "Essential" (fixes #3801)

 -- Galen Hazelwood <galen@micron.net>  Thu, 12 Jun 1997 12:18:34 -0600
